﻿; basiert auf https://autohotkey.com/board/topic/77408-md5-function-for-comparing-images/
; modifiziert auf https://www.autohotkey.com/boards/viewtopic.php?f=9&t=61818
File_MD5(FilePath) {
   Static MaxSize := 32 * 1024 * 1024 ; 32 MB 
;   Static MaxSize := 64 * 1024 * 1024 ; 64 MB 
;   Static MaxSize := 128 * 1024 * 1024 ; 128 MB 
;   Static MaxSize := 256 * 1024 * 1024 ; 256 MB 
;   Static MaxSize := 512 * 1024 * 1024 ; 512 MB 
   MD5 := ""
   If !(File := FileOpen(FilePath, "r"))
      Return "" ; hier vielleicht noch eine aussagekräftigere Fehlerbehandlung einfügen
   File.Pos := 0
   FileSize := File.Length
   VarSetCapacity(MD5_CTX, 104, 0)
   DllCall("Advapi32.dll\MD5Init", "Ptr", &MD5_CTX)
   While (FileSize > MaxSize) {
      File.RawRead(Buffer, MaxSize)
      DllCall("Advapi32.dll\MD5Update", "Ptr", &MD5_CTX, "Ptr", &Buffer, "UInt", MaxSize)
      FileSize -= MaxSize
   }
   File.RawRead(Buffer, FileSize)
   DllCall("Advapi32.dll\MD5Update", "Ptr", &MD5_CTX, "Ptr", &Buffer, "UInt", FileSize)
   DllCall("Advapi32.dll\MD5Final", "Ptr", &MD5_CTX)
   File.CLose()
   Loop, 16
      MD5 .= Format("{:02X}", NumGet(MD5_CTX, 87 + A_Index, "UChar"))
   Return MD5
}
