﻿#SingleInstance, Force

; https://www.autohotkey.com/boards/viewtopic.php?t=97323#p433719



; https://cloud.google.com/text-to-speech/docs/voices
; https://cxl-services.appspot.com/proxy?url=https://texttospeech.googleapis.com/v1/voices&token=0
; https://www.gstatic.com/cloud-site-ux/text_to_speech/text_to_speech.min.html
Voices := []
Voices[1] := {"Language": "Afrikaans (South Africa)", "LanguageAlt": "Afrikaans (Suid-Afrika)", "VoiceType": "Standard", "LanguageCode": "af-ZA", "VoiceName": "af-ZA-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[2] := {"Language": "Arabic", "LanguageAlt": "Arabic, multi-region", "VoiceType": "Standard", "LanguageCode": "ar-XA", "VoiceName": "ar-XA-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[3] := {"Language": "Arabic", "LanguageAlt": "Arabic, multi-region", "VoiceType": "Standard", "LanguageCode": "ar-XA", "VoiceName": "ar-XA-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[4] := {"Language": "Arabic", "LanguageAlt": "Arabic, multi-region", "VoiceType": "Standard", "LanguageCode": "ar-XA", "VoiceName": "ar-XA-Standard-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[5] := {"Language": "Arabic", "LanguageAlt": "Arabic, multi-region", "VoiceType": "Standard", "LanguageCode": "ar-XA", "VoiceName": "ar-XA-Standard-D", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[6] := {"Language": "Arabic", "LanguageAlt": "Arabic, multi-region", "VoiceType": "WaveNet", "LanguageCode": "ar-XA", "VoiceName": "ar-XA-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[7] := {"Language": "Arabic", "LanguageAlt": "Arabic, multi-region", "VoiceType": "WaveNet", "LanguageCode": "ar-XA", "VoiceName": "ar-XA-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[8] := {"Language": "Arabic", "LanguageAlt": "Arabic, multi-region", "VoiceType": "WaveNet", "LanguageCode": "ar-XA", "VoiceName": "ar-XA-Wavenet-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[9] := {"Language": "Arabic", "LanguageAlt": "Arabic, multi-region", "VoiceType": "WaveNet", "LanguageCode": "ar-XA", "VoiceName": "ar-XA-Wavenet-D", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[10] := {"Language": "Bengali (India)", "LanguageAlt": "বাংলা (ভারত)", "VoiceType": "Standard", "LanguageCode": "bn-IN", "VoiceName": "bn-IN-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[11] := {"Language": "Bengali (India)", "LanguageAlt": "বাংলা (ভারত)", "VoiceType": "Standard", "LanguageCode": "bn-IN", "VoiceName": "bn-IN-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[12] := {"Language": "Bengali (India)", "LanguageAlt": "বাংলা (ভারত)", "VoiceType": "WaveNet", "LanguageCode": "bn-IN", "VoiceName": "bn-IN-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[13] := {"Language": "Bengali (India)", "LanguageAlt": "বাংলা (ভারত)", "VoiceType": "WaveNet", "LanguageCode": "bn-IN", "VoiceName": "bn-IN-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[14] := {"Language": "Bulgarian (Bulgaria)", "LanguageAlt": "Български (България)", "VoiceType": "Standard", "LanguageCode": "bg-BG", "VoiceName": "bg-bg-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[15] := {"Language": "Catalan (Spain)", "LanguageAlt": "Català (Espanya)", "VoiceType": "Standard", "LanguageCode": "ca-ES", "VoiceName": "ca-es-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[16] := {"Language": "Chinese (Hong Kong)", "LanguageAlt": "廣東話 (香港)", "VoiceType": "Standard", "LanguageCode": "yue-HK", "VoiceName": "yue-HK-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[17] := {"Language": "Chinese (Hong Kong)", "LanguageAlt": "廣東話 (香港)", "VoiceType": "Standard", "LanguageCode": "yue-HK", "VoiceName": "yue-HK-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[18] := {"Language": "Chinese (Hong Kong)", "LanguageAlt": "廣東話 (香港)", "VoiceType": "Standard", "LanguageCode": "yue-HK", "VoiceName": "yue-HK-Standard-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[19] := {"Language": "Chinese (Hong Kong)", "LanguageAlt": "廣東話 (香港)", "VoiceType": "Standard", "LanguageCode": "yue-HK", "VoiceName": "yue-HK-Standard-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[20] := {"Language": "Czech (Czech Republic)", "LanguageAlt": "Čeština (Česká republika)", "VoiceType": "Standard", "LanguageCode": "cs-CZ", "VoiceName": "cs-CZ-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[21] := {"Language": "Czech (Czech Republic)", "LanguageAlt": "Čeština (Česká republika)", "VoiceType": "WaveNet", "LanguageCode": "cs-CZ", "VoiceName": "cs-CZ-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[22] := {"Language": "Danish (Denmark)", "LanguageAlt": "Dansk (Danmark)", "VoiceType": "Standard", "LanguageCode": "da-DK", "VoiceName": "da-DK-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "22050"}
Voices[23] := {"Language": "Danish (Denmark)", "LanguageAlt": "Dansk (Danmark)", "VoiceType": "Standard", "LanguageCode": "da-DK", "VoiceName": "da-DK-Standard-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[24] := {"Language": "Danish (Denmark)", "LanguageAlt": "Dansk (Danmark)", "VoiceType": "Standard", "LanguageCode": "da-DK", "VoiceName": "da-DK-Standard-D", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[25] := {"Language": "Danish (Denmark)", "LanguageAlt": "Dansk (Danmark)", "VoiceType": "Standard", "LanguageCode": "da-DK", "VoiceName": "da-DK-Standard-E", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[26] := {"Language": "Danish (Denmark)", "LanguageAlt": "Dansk (Danmark)", "VoiceType": "WaveNet", "LanguageCode": "da-DK", "VoiceName": "da-DK-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[27] := {"Language": "Danish (Denmark)", "LanguageAlt": "Dansk (Danmark)", "VoiceType": "WaveNet", "LanguageCode": "da-DK", "VoiceName": "da-DK-Wavenet-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[28] := {"Language": "Danish (Denmark)", "LanguageAlt": "Dansk (Danmark)", "VoiceType": "WaveNet", "LanguageCode": "da-DK", "VoiceName": "da-DK-Wavenet-D", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[29] := {"Language": "Danish (Denmark)", "LanguageAlt": "Dansk (Danmark)", "VoiceType": "WaveNet", "LanguageCode": "da-DK", "VoiceName": "da-DK-Wavenet-E", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[30] := {"Language": "Dutch (Belgium)", "LanguageAlt": "Dutch (Belgium)", "VoiceType": "Standard", "LanguageCode": "nl-BE", "VoiceName": "nl-BE-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[31] := {"Language": "Dutch (Belgium)", "LanguageAlt": "Dutch (Belgium)", "VoiceType": "Standard", "LanguageCode": "nl-BE", "VoiceName": "nl-BE-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[32] := {"Language": "Dutch (Belgium)", "LanguageAlt": "Dutch (Belgium)", "VoiceType": "WaveNet", "LanguageCode": "nl-BE", "VoiceName": "nl-BE-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[33] := {"Language": "Dutch (Belgium)", "LanguageAlt": "Dutch (Belgium)", "VoiceType": "WaveNet", "LanguageCode": "nl-BE", "VoiceName": "nl-BE-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[34] := {"Language": "Dutch (Netherlands)", "LanguageAlt": "Nederlands (Nederland)", "VoiceType": "Standard", "LanguageCode": "nl-NL", "VoiceName": "nl-NL-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[35] := {"Language": "Dutch (Netherlands)", "LanguageAlt": "Nederlands (Nederland)", "VoiceType": "Standard", "LanguageCode": "nl-NL", "VoiceName": "nl-NL-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[36] := {"Language": "Dutch (Netherlands)", "LanguageAlt": "Nederlands (Nederland)", "VoiceType": "Standard", "LanguageCode": "nl-NL", "VoiceName": "nl-NL-Standard-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[37] := {"Language": "Dutch (Netherlands)", "LanguageAlt": "Nederlands (Nederland)", "VoiceType": "Standard", "LanguageCode": "nl-NL", "VoiceName": "nl-NL-Standard-D", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[38] := {"Language": "Dutch (Netherlands)", "LanguageAlt": "Nederlands (Nederland)", "VoiceType": "Standard", "LanguageCode": "nl-NL", "VoiceName": "nl-NL-Standard-E", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[39] := {"Language": "Dutch (Netherlands)", "LanguageAlt": "Nederlands (Nederland)", "VoiceType": "WaveNet", "LanguageCode": "nl-NL", "VoiceName": "nl-NL-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[40] := {"Language": "Dutch (Netherlands)", "LanguageAlt": "Nederlands (Nederland)", "VoiceType": "WaveNet", "LanguageCode": "nl-NL", "VoiceName": "nl-NL-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[41] := {"Language": "Dutch (Netherlands)", "LanguageAlt": "Nederlands (Nederland)", "VoiceType": "WaveNet", "LanguageCode": "nl-NL", "VoiceName": "nl-NL-Wavenet-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[42] := {"Language": "Dutch (Netherlands)", "LanguageAlt": "Nederlands (Nederland)", "VoiceType": "WaveNet", "LanguageCode": "nl-NL", "VoiceName": "nl-NL-Wavenet-D", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[43] := {"Language": "Dutch (Netherlands)", "LanguageAlt": "Nederlands (Nederland)", "VoiceType": "WaveNet", "LanguageCode": "nl-NL", "VoiceName": "nl-NL-Wavenet-E", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[44] := {"Language": "English (Australia)", "LanguageAlt": "English (Australia)", "VoiceType": "Standard", "LanguageCode": "en-AU", "VoiceName": "en-AU-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[45] := {"Language": "English (Australia)", "LanguageAlt": "English (Australia)", "VoiceType": "Standard", "LanguageCode": "en-AU", "VoiceName": "en-AU-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[46] := {"Language": "English (Australia)", "LanguageAlt": "English (Australia)", "VoiceType": "Standard", "LanguageCode": "en-AU", "VoiceName": "en-AU-Standard-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[47] := {"Language": "English (Australia)", "LanguageAlt": "English (Australia)", "VoiceType": "Standard", "LanguageCode": "en-AU", "VoiceName": "en-AU-Standard-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[48] := {"Language": "English (Australia)", "LanguageAlt": "English (Australia)", "VoiceType": "WaveNet", "LanguageCode": "en-AU", "VoiceName": "en-AU-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[49] := {"Language": "English (Australia)", "LanguageAlt": "English (Australia)", "VoiceType": "WaveNet", "LanguageCode": "en-AU", "VoiceName": "en-AU-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[50] := {"Language": "English (Australia)", "LanguageAlt": "English (Australia)", "VoiceType": "WaveNet", "LanguageCode": "en-AU", "VoiceName": "en-AU-Wavenet-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[51] := {"Language": "English (Australia)", "LanguageAlt": "English (Australia)", "VoiceType": "WaveNet", "LanguageCode": "en-AU", "VoiceName": "en-AU-Wavenet-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[52] := {"Language": "English (India)", "LanguageAlt": "English (India)", "VoiceType": "Standard", "LanguageCode": "en-IN", "VoiceName": "en-IN-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[53] := {"Language": "English (India)", "LanguageAlt": "English (India)", "VoiceType": "Standard", "LanguageCode": "en-IN", "VoiceName": "en-IN-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[54] := {"Language": "English (India)", "LanguageAlt": "English (India)", "VoiceType": "Standard", "LanguageCode": "en-IN", "VoiceName": "en-IN-Standard-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[55] := {"Language": "English (India)", "LanguageAlt": "English (India)", "VoiceType": "Standard", "LanguageCode": "en-IN", "VoiceName": "en-IN-Standard-D", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[56] := {"Language": "English (India)", "LanguageAlt": "English (India)", "VoiceType": "WaveNet", "LanguageCode": "en-IN", "VoiceName": "en-IN-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[57] := {"Language": "English (India)", "LanguageAlt": "English (India)", "VoiceType": "WaveNet", "LanguageCode": "en-IN", "VoiceName": "en-IN-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[58] := {"Language": "English (India)", "LanguageAlt": "English (India)", "VoiceType": "WaveNet", "LanguageCode": "en-IN", "VoiceName": "en-IN-Wavenet-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[59] := {"Language": "English (India)", "LanguageAlt": "English (India)", "VoiceType": "WaveNet", "LanguageCode": "en-IN", "VoiceName": "en-IN-Wavenet-D", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[60] := {"Language": "English (UK)", "LanguageAlt": "English (Great Britain)", "VoiceType": "Standard", "LanguageCode": "en-GB", "VoiceName": "en-GB-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[61] := {"Language": "English (UK)", "LanguageAlt": "English (Great Britain)", "VoiceType": "Standard", "LanguageCode": "en-GB", "VoiceName": "en-GB-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[62] := {"Language": "English (UK)", "LanguageAlt": "English (Great Britain)", "VoiceType": "Standard", "LanguageCode": "en-GB", "VoiceName": "en-GB-Standard-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[63] := {"Language": "English (UK)", "LanguageAlt": "English (Great Britain)", "VoiceType": "Standard", "LanguageCode": "en-GB", "VoiceName": "en-GB-Standard-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[64] := {"Language": "English (UK)", "LanguageAlt": "English (Great Britain)", "VoiceType": "Standard", "LanguageCode": "en-GB", "VoiceName": "en-GB-Standard-F", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[65] := {"Language": "English (UK)", "LanguageAlt": "English (Great Britain)", "VoiceType": "WaveNet", "LanguageCode": "en-GB", "VoiceName": "en-GB-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[66] := {"Language": "English (UK)", "LanguageAlt": "English (Great Britain)", "VoiceType": "WaveNet", "LanguageCode": "en-GB", "VoiceName": "en-GB-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[67] := {"Language": "English (UK)", "LanguageAlt": "English (Great Britain)", "VoiceType": "WaveNet", "LanguageCode": "en-GB", "VoiceName": "en-GB-Wavenet-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[68] := {"Language": "English (UK)", "LanguageAlt": "English (Great Britain)", "VoiceType": "WaveNet", "LanguageCode": "en-GB", "VoiceName": "en-GB-Wavenet-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[69] := {"Language": "English (UK)", "LanguageAlt": "English (Great Britain)", "VoiceType": "WaveNet", "LanguageCode": "en-GB", "VoiceName": "en-GB-Wavenet-F", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[70] := {"Language": "English (US)", "LanguageAlt": "English (United States)", "VoiceType": "Standard", "LanguageCode": "en-US", "VoiceName": "en-US-Standard-A", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[71] := {"Language": "English (US)", "LanguageAlt": "English (United States)", "VoiceType": "Standard", "LanguageCode": "en-US", "VoiceName": "en-US-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[72] := {"Language": "English (US)", "LanguageAlt": "English (United States)", "VoiceType": "Standard", "LanguageCode": "en-US", "VoiceName": "en-US-Standard-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[73] := {"Language": "English (US)", "LanguageAlt": "English (United States)", "VoiceType": "Standard", "LanguageCode": "en-US", "VoiceName": "en-US-Standard-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[74] := {"Language": "English (US)", "LanguageAlt": "English (United States)", "VoiceType": "Standard", "LanguageCode": "en-US", "VoiceName": "en-US-Standard-E", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[75] := {"Language": "English (US)", "LanguageAlt": "English (United States)", "VoiceType": "Standard", "LanguageCode": "en-US", "VoiceName": "en-US-Standard-F", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[76] := {"Language": "English (US)", "LanguageAlt": "English (United States)", "VoiceType": "Standard", "LanguageCode": "en-US", "VoiceName": "en-US-Standard-G", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[77] := {"Language": "English (US)", "LanguageAlt": "English (United States)", "VoiceType": "Standard", "LanguageCode": "en-US", "VoiceName": "en-US-Standard-H", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[78] := {"Language": "English (US)", "LanguageAlt": "English (United States)", "VoiceType": "Standard", "LanguageCode": "en-US", "VoiceName": "en-US-Standard-I", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[79] := {"Language": "English (US)", "LanguageAlt": "English (United States)", "VoiceType": "Standard", "LanguageCode": "en-US", "VoiceName": "en-US-Standard-J", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[80] := {"Language": "English (US)", "LanguageAlt": "English (United States)", "VoiceType": "WaveNet", "LanguageCode": "en-US", "VoiceName": "en-US-Wavenet-A", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[81] := {"Language": "English (US)", "LanguageAlt": "English (United States)", "VoiceType": "WaveNet", "LanguageCode": "en-US", "VoiceName": "en-US-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[82] := {"Language": "English (US)", "LanguageAlt": "English (United States)", "VoiceType": "WaveNet", "LanguageCode": "en-US", "VoiceName": "en-US-Wavenet-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[83] := {"Language": "English (US)", "LanguageAlt": "English (United States)", "VoiceType": "WaveNet", "LanguageCode": "en-US", "VoiceName": "en-US-Wavenet-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[84] := {"Language": "English (US)", "LanguageAlt": "English (United States)", "VoiceType": "WaveNet", "LanguageCode": "en-US", "VoiceName": "en-US-Wavenet-E", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[85] := {"Language": "English (US)", "LanguageAlt": "English (United States)", "VoiceType": "WaveNet", "LanguageCode": "en-US", "VoiceName": "en-US-Wavenet-F", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[86] := {"Language": "English (US)", "LanguageAlt": "English (United States)", "VoiceType": "WaveNet", "LanguageCode": "en-US", "VoiceName": "en-US-Wavenet-G", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[87] := {"Language": "English (US)", "LanguageAlt": "English (United States)", "VoiceType": "WaveNet", "LanguageCode": "en-US", "VoiceName": "en-US-Wavenet-H", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[88] := {"Language": "English (US)", "LanguageAlt": "English (United States)", "VoiceType": "WaveNet", "LanguageCode": "en-US", "VoiceName": "en-US-Wavenet-I", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[89] := {"Language": "English (US)", "LanguageAlt": "English (United States)", "VoiceType": "WaveNet", "LanguageCode": "en-US", "VoiceName": "en-US-Wavenet-J", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[90] := {"Language": "Filipino (Philippines)", "LanguageAlt": "Filipino (Pilipinas)", "VoiceType": "Standard", "LanguageCode": "fil-PH", "VoiceName": "fil-PH-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[91] := {"Language": "Filipino (Philippines)", "LanguageAlt": "Filipino (Pilipinas)", "VoiceType": "Standard", "LanguageCode": "fil-PH", "VoiceName": "fil-PH-Standard-B", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[92] := {"Language": "Filipino (Philippines)", "LanguageAlt": "Filipino (Pilipinas)", "VoiceType": "Standard", "LanguageCode": "fil-PH", "VoiceName": "fil-PH-Standard-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[93] := {"Language": "Filipino (Philippines)", "LanguageAlt": "Filipino (Pilipinas)", "VoiceType": "Standard", "LanguageCode": "fil-PH", "VoiceName": "fil-PH-Standard-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[94] := {"Language": "Filipino (Philippines)", "LanguageAlt": "Filipino (Pilipinas)", "VoiceType": "WaveNet", "LanguageCode": "fil-PH", "VoiceName": "fil-PH-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[95] := {"Language": "Filipino (Philippines)", "LanguageAlt": "Filipino (Pilipinas)", "VoiceType": "WaveNet", "LanguageCode": "fil-PH", "VoiceName": "fil-PH-Wavenet-B", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[96] := {"Language": "Filipino (Philippines)", "LanguageAlt": "Filipino (Pilipinas)", "VoiceType": "WaveNet", "LanguageCode": "fil-PH", "VoiceName": "fil-PH-Wavenet-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[97] := {"Language": "Filipino (Philippines)", "LanguageAlt": "Filipino (Pilipinas)", "VoiceType": "WaveNet", "LanguageCode": "fil-PH", "VoiceName": "fil-PH-Wavenet-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[98] := {"Language": "Finnish (Finland)", "LanguageAlt": "Suomi (Suomi)", "VoiceType": "Standard", "LanguageCode": "fi-FI", "VoiceName": "fi-FI-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[99] := {"Language": "Finnish (Finland)", "LanguageAlt": "Suomi (Suomi)", "VoiceType": "WaveNet", "LanguageCode": "fi-FI", "VoiceName": "fi-FI-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[100] := {"Language": "French (Canada)", "LanguageAlt": "Français (Canada)", "VoiceType": "Standard", "LanguageCode": "fr-CA", "VoiceName": "fr-CA-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[101] := {"Language": "French (Canada)", "LanguageAlt": "Français (Canada)", "VoiceType": "Standard", "LanguageCode": "fr-CA", "VoiceName": "fr-CA-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[102] := {"Language": "French (Canada)", "LanguageAlt": "Français (Canada)", "VoiceType": "Standard", "LanguageCode": "fr-CA", "VoiceName": "fr-CA-Standard-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[103] := {"Language": "French (Canada)", "LanguageAlt": "Français (Canada)", "VoiceType": "Standard", "LanguageCode": "fr-CA", "VoiceName": "fr-CA-Standard-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[104] := {"Language": "French (Canada)", "LanguageAlt": "Français (Canada)", "VoiceType": "WaveNet", "LanguageCode": "fr-CA", "VoiceName": "fr-CA-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[105] := {"Language": "French (Canada)", "LanguageAlt": "Français (Canada)", "VoiceType": "WaveNet", "LanguageCode": "fr-CA", "VoiceName": "fr-CA-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[106] := {"Language": "French (Canada)", "LanguageAlt": "Français (Canada)", "VoiceType": "WaveNet", "LanguageCode": "fr-CA", "VoiceName": "fr-CA-Wavenet-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[107] := {"Language": "French (Canada)", "LanguageAlt": "Français (Canada)", "VoiceType": "WaveNet", "LanguageCode": "fr-CA", "VoiceName": "fr-CA-Wavenet-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[108] := {"Language": "French (France)", "LanguageAlt": "Français (France)", "VoiceType": "Standard", "LanguageCode": "fr-FR", "VoiceName": "fr-FR-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[109] := {"Language": "French (France)", "LanguageAlt": "Français (France)", "VoiceType": "Standard", "LanguageCode": "fr-FR", "VoiceName": "fr-FR-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[110] := {"Language": "French (France)", "LanguageAlt": "Français (France)", "VoiceType": "Standard", "LanguageCode": "fr-FR", "VoiceName": "fr-FR-Standard-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[111] := {"Language": "French (France)", "LanguageAlt": "Français (France)", "VoiceType": "Standard", "LanguageCode": "fr-FR", "VoiceName": "fr-FR-Standard-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[112] := {"Language": "French (France)", "LanguageAlt": "Français (France)", "VoiceType": "Standard", "LanguageCode": "fr-FR", "VoiceName": "fr-FR-Standard-E", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[113] := {"Language": "French (France)", "LanguageAlt": "Français (France)", "VoiceType": "WaveNet", "LanguageCode": "fr-FR", "VoiceName": "fr-FR-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[114] := {"Language": "French (France)", "LanguageAlt": "Français (France)", "VoiceType": "WaveNet", "LanguageCode": "fr-FR", "VoiceName": "fr-FR-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[115] := {"Language": "French (France)", "LanguageAlt": "Français (France)", "VoiceType": "WaveNet", "LanguageCode": "fr-FR", "VoiceName": "fr-FR-Wavenet-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[116] := {"Language": "French (France)", "LanguageAlt": "Français (France)", "VoiceType": "WaveNet", "LanguageCode": "fr-FR", "VoiceName": "fr-FR-Wavenet-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[117] := {"Language": "French (France)", "LanguageAlt": "Français (France)", "VoiceType": "WaveNet", "LanguageCode": "fr-FR", "VoiceName": "fr-FR-Wavenet-E", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[118] := {"Language": "German (Germany)", "LanguageAlt": "Deutsch (Deutschland)", "VoiceType": "Standard", "LanguageCode": "de-DE", "VoiceName": "de-DE-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[119] := {"Language": "German (Germany)", "LanguageAlt": "Deutsch (Deutschland)", "VoiceType": "Standard", "LanguageCode": "de-DE", "VoiceName": "de-DE-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[120] := {"Language": "German (Germany)", "LanguageAlt": "Deutsch (Deutschland)", "VoiceType": "Standard", "LanguageCode": "de-DE", "VoiceName": "de-DE-Standard-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[121] := {"Language": "German (Germany)", "LanguageAlt": "Deutsch (Deutschland)", "VoiceType": "Standard", "LanguageCode": "de-DE", "VoiceName": "de-DE-Standard-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[122] := {"Language": "German (Germany)", "LanguageAlt": "Deutsch (Deutschland)", "VoiceType": "Standard", "LanguageCode": "de-DE", "VoiceName": "de-DE-Standard-E", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[123] := {"Language": "German (Germany)", "LanguageAlt": "Deutsch (Deutschland)", "VoiceType": "Standard", "LanguageCode": "de-DE", "VoiceName": "de-DE-Standard-F", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[124] := {"Language": "German (Germany)", "LanguageAlt": "Deutsch (Deutschland)", "VoiceType": "WaveNet", "LanguageCode": "de-DE", "VoiceName": "de-DE-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[125] := {"Language": "German (Germany)", "LanguageAlt": "Deutsch (Deutschland)", "VoiceType": "WaveNet", "LanguageCode": "de-DE", "VoiceName": "de-DE-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[126] := {"Language": "German (Germany)", "LanguageAlt": "Deutsch (Deutschland)", "VoiceType": "WaveNet", "LanguageCode": "de-DE", "VoiceName": "de-DE-Wavenet-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[127] := {"Language": "German (Germany)", "LanguageAlt": "Deutsch (Deutschland)", "VoiceType": "WaveNet", "LanguageCode": "de-DE", "VoiceName": "de-DE-Wavenet-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[128] := {"Language": "German (Germany)", "LanguageAlt": "Deutsch (Deutschland)", "VoiceType": "WaveNet", "LanguageCode": "de-DE", "VoiceName": "de-DE-Wavenet-E", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[129] := {"Language": "German (Germany)", "LanguageAlt": "Deutsch (Deutschland)", "VoiceType": "WaveNet", "LanguageCode": "de-DE", "VoiceName": "de-DE-Wavenet-F", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[130] := {"Language": "Greek (Greece)", "LanguageAlt": "Ελληνικά (Ελλάδα)", "VoiceType": "Standard", "LanguageCode": "el-GR", "VoiceName": "el-GR-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[131] := {"Language": "Greek (Greece)", "LanguageAlt": "Ελληνικά (Ελλάδα)", "VoiceType": "WaveNet", "LanguageCode": "el-GR", "VoiceName": "el-GR-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[132] := {"Language": "Gujarati (India)", "LanguageAlt": "ગુજરાતી (ભારત)", "VoiceType": "Standard", "LanguageCode": "gu-IN", "VoiceName": "gu-IN-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[133] := {"Language": "Gujarati (India)", "LanguageAlt": "ગુજરાતી (ભારત)", "VoiceType": "Standard", "LanguageCode": "gu-IN", "VoiceName": "gu-IN-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[134] := {"Language": "Gujarati (India)", "LanguageAlt": "ગુજરાતી (ભારત)", "VoiceType": "WaveNet", "LanguageCode": "gu-IN", "VoiceName": "gu-IN-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[135] := {"Language": "Gujarati (India)", "LanguageAlt": "ગુજરાતી (ભારત)", "VoiceType": "WaveNet", "LanguageCode": "gu-IN", "VoiceName": "gu-IN-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[136] := {"Language": "Hindi (India)", "LanguageAlt": "हिन्दी (भारत)", "VoiceType": "Standard", "LanguageCode": "hi-IN", "VoiceName": "hi-IN-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[137] := {"Language": "Hindi (India)", "LanguageAlt": "हिन्दी (भारत)", "VoiceType": "Standard", "LanguageCode": "hi-IN", "VoiceName": "hi-IN-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[138] := {"Language": "Hindi (India)", "LanguageAlt": "हिन्दी (भारत)", "VoiceType": "Standard", "LanguageCode": "hi-IN", "VoiceName": "hi-IN-Standard-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[139] := {"Language": "Hindi (India)", "LanguageAlt": "हिन्दी (भारत)", "VoiceType": "Standard", "LanguageCode": "hi-IN", "VoiceName": "hi-IN-Standard-D", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[140] := {"Language": "Hindi (India)", "LanguageAlt": "हिन्दी (भारत)", "VoiceType": "WaveNet", "LanguageCode": "hi-IN", "VoiceName": "hi-IN-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[141] := {"Language": "Hindi (India)", "LanguageAlt": "हिन्दी (भारत)", "VoiceType": "WaveNet", "LanguageCode": "hi-IN", "VoiceName": "hi-IN-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[142] := {"Language": "Hindi (India)", "LanguageAlt": "हिन्दी (भारत)", "VoiceType": "WaveNet", "LanguageCode": "hi-IN", "VoiceName": "hi-IN-Wavenet-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[143] := {"Language": "Hindi (India)", "LanguageAlt": "हिन्दी (भारत)", "VoiceType": "WaveNet", "LanguageCode": "hi-IN", "VoiceName": "hi-IN-Wavenet-D", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[144] := {"Language": "Hungarian (Hungary)", "LanguageAlt": "Magyar (Magyarország)", "VoiceType": "Standard", "LanguageCode": "hu-HU", "VoiceName": "hu-HU-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[145] := {"Language": "Hungarian (Hungary)", "LanguageAlt": "Magyar (Magyarország)", "VoiceType": "WaveNet", "LanguageCode": "hu-HU", "VoiceName": "hu-HU-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[146] := {"Language": "Icelandic (Iceland)", "LanguageAlt": "Íslenska (Ísland)", "VoiceType": "Standard", "LanguageCode": "is-IS", "VoiceName": "is-is-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[147] := {"Language": "Indonesian (Indonesia)", "LanguageAlt": "Bahasa Indonesia (Indonesia)", "VoiceType": "Standard", "LanguageCode": "id-ID", "VoiceName": "id-ID-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[148] := {"Language": "Indonesian (Indonesia)", "LanguageAlt": "Bahasa Indonesia (Indonesia)", "VoiceType": "Standard", "LanguageCode": "id-ID", "VoiceName": "id-ID-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[149] := {"Language": "Indonesian (Indonesia)", "LanguageAlt": "Bahasa Indonesia (Indonesia)", "VoiceType": "Standard", "LanguageCode": "id-ID", "VoiceName": "id-ID-Standard-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[150] := {"Language": "Indonesian (Indonesia)", "LanguageAlt": "Bahasa Indonesia (Indonesia)", "VoiceType": "Standard", "LanguageCode": "id-ID", "VoiceName": "id-ID-Standard-D", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[151] := {"Language": "Indonesian (Indonesia)", "LanguageAlt": "Bahasa Indonesia (Indonesia)", "VoiceType": "WaveNet", "LanguageCode": "id-ID", "VoiceName": "id-ID-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[152] := {"Language": "Indonesian (Indonesia)", "LanguageAlt": "Bahasa Indonesia (Indonesia)", "VoiceType": "WaveNet", "LanguageCode": "id-ID", "VoiceName": "id-ID-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[153] := {"Language": "Indonesian (Indonesia)", "LanguageAlt": "Bahasa Indonesia (Indonesia)", "VoiceType": "WaveNet", "LanguageCode": "id-ID", "VoiceName": "id-ID-Wavenet-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[154] := {"Language": "Indonesian (Indonesia)", "LanguageAlt": "Bahasa Indonesia (Indonesia)", "VoiceType": "WaveNet", "LanguageCode": "id-ID", "VoiceName": "id-ID-Wavenet-D", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[155] := {"Language": "Italian (Italy)", "LanguageAlt": "Italiano (Italia)", "VoiceType": "Standard", "LanguageCode": "it-IT", "VoiceName": "it-IT-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[156] := {"Language": "Italian (Italy)", "LanguageAlt": "Italiano (Italia)", "VoiceType": "Standard", "LanguageCode": "it-IT", "VoiceName": "it-IT-Standard-B", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[157] := {"Language": "Italian (Italy)", "LanguageAlt": "Italiano (Italia)", "VoiceType": "Standard", "LanguageCode": "it-IT", "VoiceName": "it-IT-Standard-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[158] := {"Language": "Italian (Italy)", "LanguageAlt": "Italiano (Italia)", "VoiceType": "Standard", "LanguageCode": "it-IT", "VoiceName": "it-IT-Standard-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[159] := {"Language": "Italian (Italy)", "LanguageAlt": "Italiano (Italia)", "VoiceType": "WaveNet", "LanguageCode": "it-IT", "VoiceName": "it-IT-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[160] := {"Language": "Italian (Italy)", "LanguageAlt": "Italiano (Italia)", "VoiceType": "WaveNet", "LanguageCode": "it-IT", "VoiceName": "it-IT-Wavenet-B", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[161] := {"Language": "Italian (Italy)", "LanguageAlt": "Italiano (Italia)", "VoiceType": "WaveNet", "LanguageCode": "it-IT", "VoiceName": "it-IT-Wavenet-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[162] := {"Language": "Italian (Italy)", "LanguageAlt": "Italiano (Italia)", "VoiceType": "WaveNet", "LanguageCode": "it-IT", "VoiceName": "it-IT-Wavenet-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[163] := {"Language": "Japanese (Japan)", "LanguageAlt": "日本語（日本)", "VoiceType": "Standard", "LanguageCode": "ja-JP", "VoiceName": "ja-JP-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[164] := {"Language": "Japanese (Japan)", "LanguageAlt": "日本語（日本)", "VoiceType": "Standard", "LanguageCode": "ja-JP", "VoiceName": "ja-JP-Standard-B", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[165] := {"Language": "Japanese (Japan)", "LanguageAlt": "日本語（日本)", "VoiceType": "Standard", "LanguageCode": "ja-JP", "VoiceName": "ja-JP-Standard-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[166] := {"Language": "Japanese (Japan)", "LanguageAlt": "日本語（日本)", "VoiceType": "Standard", "LanguageCode": "ja-JP", "VoiceName": "ja-JP-Standard-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[167] := {"Language": "Japanese (Japan)", "LanguageAlt": "日本語（日本)", "VoiceType": "WaveNet", "LanguageCode": "ja-JP", "VoiceName": "ja-JP-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[168] := {"Language": "Japanese (Japan)", "LanguageAlt": "日本語（日本)", "VoiceType": "WaveNet", "LanguageCode": "ja-JP", "VoiceName": "ja-JP-Wavenet-B", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[169] := {"Language": "Japanese (Japan)", "LanguageAlt": "日本語（日本)", "VoiceType": "WaveNet", "LanguageCode": "ja-JP", "VoiceName": "ja-JP-Wavenet-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[170] := {"Language": "Japanese (Japan)", "LanguageAlt": "日本語（日本)", "VoiceType": "WaveNet", "LanguageCode": "ja-JP", "VoiceName": "ja-JP-Wavenet-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[171] := {"Language": "Kannada (India)", "LanguageAlt": "ಕನ್ನಡ (ಭಾರತ)", "VoiceType": "Standard", "LanguageCode": "kn-IN", "VoiceName": "kn-IN-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[172] := {"Language": "Kannada (India)", "LanguageAlt": "ಕನ್ನಡ (ಭಾರತ)", "VoiceType": "Standard", "LanguageCode": "kn-IN", "VoiceName": "kn-IN-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[173] := {"Language": "Kannada (India)", "LanguageAlt": "ಕನ್ನಡ (ಭಾರತ)", "VoiceType": "WaveNet", "LanguageCode": "kn-IN", "VoiceName": "kn-IN-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[174] := {"Language": "Kannada (India)", "LanguageAlt": "ಕನ್ನಡ (ಭಾರತ)", "VoiceType": "WaveNet", "LanguageCode": "kn-IN", "VoiceName": "kn-IN-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[175] := {"Language": "Korean (South Korea)", "LanguageAlt": "한국어 (대한민국)", "VoiceType": "Standard", "LanguageCode": "ko-KR", "VoiceName": "ko-KR-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[176] := {"Language": "Korean (South Korea)", "LanguageAlt": "한국어 (대한민국)", "VoiceType": "Standard", "LanguageCode": "ko-KR", "VoiceName": "ko-KR-Standard-B", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[177] := {"Language": "Korean (South Korea)", "LanguageAlt": "한국어 (대한민국)", "VoiceType": "Standard", "LanguageCode": "ko-KR", "VoiceName": "ko-KR-Standard-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[178] := {"Language": "Korean (South Korea)", "LanguageAlt": "한국어 (대한민국)", "VoiceType": "Standard", "LanguageCode": "ko-KR", "VoiceName": "ko-KR-Standard-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[179] := {"Language": "Korean (South Korea)", "LanguageAlt": "한국어 (대한민국)", "VoiceType": "WaveNet", "LanguageCode": "ko-KR", "VoiceName": "ko-KR-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[180] := {"Language": "Korean (South Korea)", "LanguageAlt": "한국어 (대한민국)", "VoiceType": "WaveNet", "LanguageCode": "ko-KR", "VoiceName": "ko-KR-Wavenet-B", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[181] := {"Language": "Korean (South Korea)", "LanguageAlt": "한국어 (대한민국)", "VoiceType": "WaveNet", "LanguageCode": "ko-KR", "VoiceName": "ko-KR-Wavenet-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[182] := {"Language": "Korean (South Korea)", "LanguageAlt": "한국어 (대한민국)", "VoiceType": "WaveNet", "LanguageCode": "ko-KR", "VoiceName": "ko-KR-Wavenet-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[183] := {"Language": "Latvian (Latvia)", "LanguageAlt": "Latviešu (latviešu)", "VoiceType": "Standard", "LanguageCode": "lv-LV", "VoiceName": "lv-lv-Standard-A", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[184] := {"Language": "Malay (Malaysia)", "LanguageAlt": "Bahasa Melayu (Malaysia)", "VoiceType": "Standard", "LanguageCode": "ms-MY", "VoiceName": "ms-MY-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[185] := {"Language": "Malay (Malaysia)", "LanguageAlt": "Bahasa Melayu (Malaysia)", "VoiceType": "Standard", "LanguageCode": "ms-MY", "VoiceName": "ms-MY-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[186] := {"Language": "Malay (Malaysia)", "LanguageAlt": "Bahasa Melayu (Malaysia)", "VoiceType": "Standard", "LanguageCode": "ms-MY", "VoiceName": "ms-MY-Standard-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[187] := {"Language": "Malay (Malaysia)", "LanguageAlt": "Bahasa Melayu (Malaysia)", "VoiceType": "Standard", "LanguageCode": "ms-MY", "VoiceName": "ms-MY-Standard-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[188] := {"Language": "Malay (Malaysia)", "LanguageAlt": "Bahasa Melayu (Malaysia)", "VoiceType": "WaveNet", "LanguageCode": "ms-MY", "VoiceName": "ms-MY-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[189] := {"Language": "Malay (Malaysia)", "LanguageAlt": "Bahasa Melayu (Malaysia)", "VoiceType": "WaveNet", "LanguageCode": "ms-MY", "VoiceName": "ms-MY-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[190] := {"Language": "Malay (Malaysia)", "LanguageAlt": "Bahasa Melayu (Malaysia)", "VoiceType": "WaveNet", "LanguageCode": "ms-MY", "VoiceName": "ms-MY-Wavenet-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[191] := {"Language": "Malay (Malaysia)", "LanguageAlt": "Bahasa Melayu (Malaysia)", "VoiceType": "WaveNet", "LanguageCode": "ms-MY", "VoiceName": "ms-MY-Wavenet-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[192] := {"Language": "Malayalam (India)", "LanguageAlt": "മലയാളം (ഇന്ത്യ)", "VoiceType": "Standard", "LanguageCode": "ml-IN", "VoiceName": "ml-IN-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[193] := {"Language": "Malayalam (India)", "LanguageAlt": "മലയാളം (ഇന്ത്യ)", "VoiceType": "Standard", "LanguageCode": "ml-IN", "VoiceName": "ml-IN-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[194] := {"Language": "Malayalam (India)", "LanguageAlt": "മലയാളം (ഇന്ത്യ)", "VoiceType": "WaveNet", "LanguageCode": "ml-IN", "VoiceName": "ml-IN-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[195] := {"Language": "Malayalam (India)", "LanguageAlt": "മലയാളം (ഇന്ത്യ)", "VoiceType": "WaveNet", "LanguageCode": "ml-IN", "VoiceName": "ml-IN-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[196] := {"Language": "Mandarin Chinese", "LanguageAlt": "普通话 (中国大陆)", "VoiceType": "Standard", "LanguageCode": "cmn-CN", "VoiceName": "cmn-CN-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[197] := {"Language": "Mandarin Chinese", "LanguageAlt": "普通话 (中国大陆)", "VoiceType": "Standard", "LanguageCode": "cmn-CN", "VoiceName": "cmn-CN-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[198] := {"Language": "Mandarin Chinese", "LanguageAlt": "普通话 (中国大陆)", "VoiceType": "Standard", "LanguageCode": "cmn-CN", "VoiceName": "cmn-CN-Standard-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[199] := {"Language": "Mandarin Chinese", "LanguageAlt": "普通话 (中国大陆)", "VoiceType": "Standard", "LanguageCode": "cmn-CN", "VoiceName": "cmn-CN-Standard-D", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[200] := {"Language": "Mandarin Chinese", "LanguageAlt": "普通话 (中国大陆)", "VoiceType": "WaveNet", "LanguageCode": "cmn-CN", "VoiceName": "cmn-CN-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[201] := {"Language": "Mandarin Chinese", "LanguageAlt": "普通话 (中国大陆)", "VoiceType": "WaveNet", "LanguageCode": "cmn-CN", "VoiceName": "cmn-CN-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[202] := {"Language": "Mandarin Chinese", "LanguageAlt": "普通话 (中国大陆)", "VoiceType": "WaveNet", "LanguageCode": "cmn-CN", "VoiceName": "cmn-CN-Wavenet-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[203] := {"Language": "Mandarin Chinese", "LanguageAlt": "普通话 (中国大陆)", "VoiceType": "WaveNet", "LanguageCode": "cmn-CN", "VoiceName": "cmn-CN-Wavenet-D", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[204] := {"Language": "Mandarin Chinese", "LanguageAlt": "國語 (台灣)", "VoiceType": "Standard", "LanguageCode": "cmn-TW", "VoiceName": "cmn-TW-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[205] := {"Language": "Mandarin Chinese", "LanguageAlt": "國語 (台灣)", "VoiceType": "Standard", "LanguageCode": "cmn-TW", "VoiceName": "cmn-TW-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[206] := {"Language": "Mandarin Chinese", "LanguageAlt": "國語 (台灣)", "VoiceType": "Standard", "LanguageCode": "cmn-TW", "VoiceName": "cmn-TW-Standard-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[207] := {"Language": "Mandarin Chinese", "LanguageAlt": "國語 (台灣)", "VoiceType": "WaveNet", "LanguageCode": "cmn-TW", "VoiceName": "cmn-TW-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[208] := {"Language": "Mandarin Chinese", "LanguageAlt": "國語 (台灣)", "VoiceType": "WaveNet", "LanguageCode": "cmn-TW", "VoiceName": "cmn-TW-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[209] := {"Language": "Mandarin Chinese", "LanguageAlt": "國語 (台灣)", "VoiceType": "WaveNet", "LanguageCode": "cmn-TW", "VoiceName": "cmn-TW-Wavenet-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[210] := {"Language": "Norwegian (Norway)", "LanguageAlt": "Norsk bokmål (Norge)", "VoiceType": "Standard", "LanguageCode": "nb-NO", "VoiceName": "nb-NO-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[211] := {"Language": "Norwegian (Norway)", "LanguageAlt": "Norsk bokmål (Norge)", "VoiceType": "Standard", "LanguageCode": "nb-NO", "VoiceName": "nb-NO-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[212] := {"Language": "Norwegian (Norway)", "LanguageAlt": "Norsk bokmål (Norge)", "VoiceType": "Standard", "LanguageCode": "nb-NO", "VoiceName": "nb-NO-Standard-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[213] := {"Language": "Norwegian (Norway)", "LanguageAlt": "Norsk bokmål (Norge)", "VoiceType": "Standard", "LanguageCode": "nb-NO", "VoiceName": "nb-NO-Standard-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[214] := {"Language": "Norwegian (Norway)", "LanguageAlt": "Norsk bokmål (Norge)", "VoiceType": "WaveNet", "LanguageCode": "nb-NO", "VoiceName": "nb-NO-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[215] := {"Language": "Norwegian (Norway)", "LanguageAlt": "Norsk bokmål (Norge)", "VoiceType": "WaveNet", "LanguageCode": "nb-NO", "VoiceName": "nb-NO-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[216] := {"Language": "Norwegian (Norway)", "LanguageAlt": "Norsk bokmål (Norge)", "VoiceType": "WaveNet", "LanguageCode": "nb-NO", "VoiceName": "nb-NO-Wavenet-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[217] := {"Language": "Norwegian (Norway)", "LanguageAlt": "Norsk bokmål (Norge)", "VoiceType": "WaveNet", "LanguageCode": "nb-NO", "VoiceName": "nb-NO-Wavenet-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[218] := {"Language": "Norwegian (Norway)", "LanguageAlt": "Norsk bokmål (Norge)", "VoiceType": "Standard", "LanguageCode": "nb-NO", "VoiceName": "nb-no-Standard-E", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[219] := {"Language": "Norwegian (Norway)", "LanguageAlt": "Norsk bokmål (Norge)", "VoiceType": "Standard", "LanguageCode": "nb-NO", "VoiceName": "nb-no-Standard-E", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[220] := {"Language": "Norwegian (Norway)", "LanguageAlt": "Norsk bokmål (Norge)", "VoiceType": "WaveNet", "LanguageCode": "nb-NO", "VoiceName": "nb-no-Wavenet-E", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[221] := {"Language": "Polish (Poland)", "LanguageAlt": "Polski (Polska)", "VoiceType": "Standard", "LanguageCode": "pl-PL", "VoiceName": "pl-PL-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[222] := {"Language": "Polish (Poland)", "LanguageAlt": "Polski (Polska)", "VoiceType": "Standard", "LanguageCode": "pl-PL", "VoiceName": "pl-PL-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[223] := {"Language": "Polish (Poland)", "LanguageAlt": "Polski (Polska)", "VoiceType": "Standard", "LanguageCode": "pl-PL", "VoiceName": "pl-PL-Standard-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[224] := {"Language": "Polish (Poland)", "LanguageAlt": "Polski (Polska)", "VoiceType": "Standard", "LanguageCode": "pl-PL", "VoiceName": "pl-PL-Standard-D", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[225] := {"Language": "Polish (Poland)", "LanguageAlt": "Polski (Polska)", "VoiceType": "Standard", "LanguageCode": "pl-PL", "VoiceName": "pl-PL-Standard-E", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "22050"}
Voices[226] := {"Language": "Polish (Poland)", "LanguageAlt": "Polski (Polska)", "VoiceType": "WaveNet", "LanguageCode": "pl-PL", "VoiceName": "pl-PL-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[227] := {"Language": "Polish (Poland)", "LanguageAlt": "Polski (Polska)", "VoiceType": "WaveNet", "LanguageCode": "pl-PL", "VoiceName": "pl-PL-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[228] := {"Language": "Polish (Poland)", "LanguageAlt": "Polski (Polska)", "VoiceType": "WaveNet", "LanguageCode": "pl-PL", "VoiceName": "pl-PL-Wavenet-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[229] := {"Language": "Polish (Poland)", "LanguageAlt": "Polski (Polska)", "VoiceType": "WaveNet", "LanguageCode": "pl-PL", "VoiceName": "pl-PL-Wavenet-D", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[230] := {"Language": "Polish (Poland)", "LanguageAlt": "Polski (Polska)", "VoiceType": "WaveNet", "LanguageCode": "pl-PL", "VoiceName": "pl-PL-Wavenet-E", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[231] := {"Language": "Portuguese (Brazil)", "LanguageAlt": "Português (Brasil)", "VoiceType": "Standard", "LanguageCode": "pt-BR", "VoiceName": "pt-BR-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "22050"}
Voices[232] := {"Language": "Portuguese (Brazil)", "LanguageAlt": "Português (Brasil)", "VoiceType": "Standard", "LanguageCode": "pt-BR", "VoiceName": "pt-BR-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[233] := {"Language": "Portuguese (Brazil)", "LanguageAlt": "Português (Brasil)", "VoiceType": "WaveNet", "LanguageCode": "pt-BR", "VoiceName": "pt-BR-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[234] := {"Language": "Portuguese (Brazil)", "LanguageAlt": "Português (Brasil)", "VoiceType": "WaveNet", "LanguageCode": "pt-BR", "VoiceName": "pt-BR-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[235] := {"Language": "Portuguese (Portugal)", "LanguageAlt": "Português (Portugal)", "VoiceType": "Standard", "LanguageCode": "pt-PT", "VoiceName": "pt-PT-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[236] := {"Language": "Portuguese (Portugal)", "LanguageAlt": "Português (Portugal)", "VoiceType": "Standard", "LanguageCode": "pt-PT", "VoiceName": "pt-PT-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[237] := {"Language": "Portuguese (Portugal)", "LanguageAlt": "Português (Portugal)", "VoiceType": "Standard", "LanguageCode": "pt-PT", "VoiceName": "pt-PT-Standard-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[238] := {"Language": "Portuguese (Portugal)", "LanguageAlt": "Português (Portugal)", "VoiceType": "Standard", "LanguageCode": "pt-PT", "VoiceName": "pt-PT-Standard-D", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[239] := {"Language": "Portuguese (Portugal)", "LanguageAlt": "Português (Portugal)", "VoiceType": "WaveNet", "LanguageCode": "pt-PT", "VoiceName": "pt-PT-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[240] := {"Language": "Portuguese (Portugal)", "LanguageAlt": "Português (Portugal)", "VoiceType": "WaveNet", "LanguageCode": "pt-PT", "VoiceName": "pt-PT-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[241] := {"Language": "Portuguese (Portugal)", "LanguageAlt": "Português (Portugal)", "VoiceType": "WaveNet", "LanguageCode": "pt-PT", "VoiceName": "pt-PT-Wavenet-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[242] := {"Language": "Portuguese (Portugal)", "LanguageAlt": "Português (Portugal)", "VoiceType": "WaveNet", "LanguageCode": "pt-PT", "VoiceName": "pt-PT-Wavenet-D", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[243] := {"Language": "Punjabi (India)", "LanguageAlt": "Punjabi (India)", "VoiceType": "Standard", "LanguageCode": "pa-IN", "VoiceName": "pa-IN-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[244] := {"Language": "Punjabi (India)", "LanguageAlt": "Punjabi (India)", "VoiceType": "Standard", "LanguageCode": "pa-IN", "VoiceName": "pa-IN-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[245] := {"Language": "Punjabi (India)", "LanguageAlt": "Punjabi (India)", "VoiceType": "Standard", "LanguageCode": "pa-IN", "VoiceName": "pa-IN-Standard-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[246] := {"Language": "Punjabi (India)", "LanguageAlt": "Punjabi (India)", "VoiceType": "Standard", "LanguageCode": "pa-IN", "VoiceName": "pa-IN-Standard-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[247] := {"Language": "Punjabi (India)", "LanguageAlt": "Punjabi (India)", "VoiceType": "WaveNet", "LanguageCode": "pa-IN", "VoiceName": "pa-IN-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[248] := {"Language": "Punjabi (India)", "LanguageAlt": "Punjabi (India)", "VoiceType": "WaveNet", "LanguageCode": "pa-IN", "VoiceName": "pa-IN-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[249] := {"Language": "Punjabi (India)", "LanguageAlt": "Punjabi (India)", "VoiceType": "WaveNet", "LanguageCode": "pa-IN", "VoiceName": "pa-IN-Wavenet-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[250] := {"Language": "Punjabi (India)", "LanguageAlt": "Punjabi (India)", "VoiceType": "WaveNet", "LanguageCode": "pa-IN", "VoiceName": "pa-IN-Wavenet-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[251] := {"Language": "Romanian (Romania)", "LanguageAlt": "Română (România)", "VoiceType": "Standard", "LanguageCode": "ro-RO", "VoiceName": "ro-RO-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[252] := {"Language": "Romanian (Romania)", "LanguageAlt": "Română (România)", "VoiceType": "WaveNet", "LanguageCode": "ro-RO", "VoiceName": "ro-RO-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[253] := {"Language": "Russian (Russia)", "LanguageAlt": "Русский (Россия)", "VoiceType": "Standard", "LanguageCode": "ru-RU", "VoiceName": "ru-RU-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[254] := {"Language": "Russian (Russia)", "LanguageAlt": "Русский (Россия)", "VoiceType": "Standard", "LanguageCode": "ru-RU", "VoiceName": "ru-RU-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[255] := {"Language": "Russian (Russia)", "LanguageAlt": "Русский (Россия)", "VoiceType": "Standard", "LanguageCode": "ru-RU", "VoiceName": "ru-RU-Standard-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[256] := {"Language": "Russian (Russia)", "LanguageAlt": "Русский (Россия)", "VoiceType": "Standard", "LanguageCode": "ru-RU", "VoiceName": "ru-RU-Standard-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[257] := {"Language": "Russian (Russia)", "LanguageAlt": "Русский (Россия)", "VoiceType": "Standard", "LanguageCode": "ru-RU", "VoiceName": "ru-RU-Standard-E", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[258] := {"Language": "Russian (Russia)", "LanguageAlt": "Русский (Россия)", "VoiceType": "WaveNet", "LanguageCode": "ru-RU", "VoiceName": "ru-RU-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[259] := {"Language": "Russian (Russia)", "LanguageAlt": "Русский (Россия)", "VoiceType": "WaveNet", "LanguageCode": "ru-RU", "VoiceName": "ru-RU-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[260] := {"Language": "Russian (Russia)", "LanguageAlt": "Русский (Россия)", "VoiceType": "WaveNet", "LanguageCode": "ru-RU", "VoiceName": "ru-RU-Wavenet-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[261] := {"Language": "Russian (Russia)", "LanguageAlt": "Русский (Россия)", "VoiceType": "WaveNet", "LanguageCode": "ru-RU", "VoiceName": "ru-RU-Wavenet-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[262] := {"Language": "Russian (Russia)", "LanguageAlt": "Русский (Россия)", "VoiceType": "WaveNet", "LanguageCode": "ru-RU", "VoiceName": "ru-RU-Wavenet-E", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[263] := {"Language": "Serbian (Cyrillic)", "LanguageAlt": "Српски (Србија)", "VoiceType": "Standard", "LanguageCode": "sr-RS", "VoiceName": "sr-rs-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[264] := {"Language": "Slovak (Slovakia)", "LanguageAlt": "Slovenčina (Slovensko)", "VoiceType": "Standard", "LanguageCode": "sk-SK", "VoiceName": "sk-SK-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[265] := {"Language": "Slovak (Slovakia)", "LanguageAlt": "Slovenčina (Slovensko)", "VoiceType": "WaveNet", "LanguageCode": "sk-SK", "VoiceName": "sk-SK-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[266] := {"Language": "Spanish (Spain)", "LanguageAlt": "Español (España)", "VoiceType": "Standard", "LanguageCode": "es-ES", "VoiceName": "es-ES-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[267] := {"Language": "Spanish (Spain)", "LanguageAlt": "Español (España)", "VoiceType": "Standard", "LanguageCode": "es-ES", "VoiceName": "es-ES-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[268] := {"Language": "Spanish (Spain)", "LanguageAlt": "Español (España)", "VoiceType": "Standard", "LanguageCode": "es-ES", "VoiceName": "es-ES-Standard-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[269] := {"Language": "Spanish (Spain)", "LanguageAlt": "Español (España)", "VoiceType": "Standard", "LanguageCode": "es-ES", "VoiceName": "es-ES-Standard-D", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[270] := {"Language": "Spanish (Spain)", "LanguageAlt": "Español (España)", "VoiceType": "WaveNet", "LanguageCode": "es-ES", "VoiceName": "es-ES-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[271] := {"Language": "Spanish (Spain)", "LanguageAlt": "Español (España)", "VoiceType": "WaveNet", "LanguageCode": "es-ES", "VoiceName": "es-ES-Wavenet-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[272] := {"Language": "Spanish (Spain)", "LanguageAlt": "Español (España)", "VoiceType": "WaveNet", "LanguageCode": "es-ES", "VoiceName": "es-ES-Wavenet-D", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[273] := {"Language": "Spanish (US)", "LanguageAlt": "Español (Estados Unidos)", "VoiceType": "Standard", "LanguageCode": "es-US", "VoiceName": "es-US-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[274] := {"Language": "Spanish (US)", "LanguageAlt": "Español (Estados Unidos)", "VoiceType": "Standard", "LanguageCode": "es-US", "VoiceName": "es-US-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[275] := {"Language": "Spanish (US)", "LanguageAlt": "Español (Estados Unidos)", "VoiceType": "Standard", "LanguageCode": "es-US", "VoiceName": "es-US-Standard-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[276] := {"Language": "Spanish (US)", "LanguageAlt": "Español (Estados Unidos)", "VoiceType": "WaveNet", "LanguageCode": "es-US", "VoiceName": "es-US-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[277] := {"Language": "Spanish (US)", "LanguageAlt": "Español (Estados Unidos)", "VoiceType": "WaveNet", "LanguageCode": "es-US", "VoiceName": "es-US-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[278] := {"Language": "Spanish (US)", "LanguageAlt": "Español (Estados Unidos)", "VoiceType": "WaveNet", "LanguageCode": "es-US", "VoiceName": "es-US-Wavenet-C", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[279] := {"Language": "Swedish (Sweden)", "LanguageAlt": "Svenska (Sverige)", "VoiceType": "Standard", "LanguageCode": "sv-SE", "VoiceName": "sv-SE-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "22050"}
Voices[280] := {"Language": "Swedish (Sweden)", "LanguageAlt": "Svenska (Sverige)", "VoiceType": "WaveNet", "LanguageCode": "sv-SE", "VoiceName": "sv-SE-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[281] := {"Language": "Tamil (India)", "LanguageAlt": "தமிழ் (இந்தியா)", "VoiceType": "Standard", "LanguageCode": "ta-IN", "VoiceName": "ta-IN-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[282] := {"Language": "Tamil (India)", "LanguageAlt": "தமிழ் (இந்தியா)", "VoiceType": "Standard", "LanguageCode": "ta-IN", "VoiceName": "ta-IN-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[283] := {"Language": "Tamil (India)", "LanguageAlt": "தமிழ் (இந்தியா)", "VoiceType": "WaveNet", "LanguageCode": "ta-IN", "VoiceName": "ta-IN-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[284] := {"Language": "Tamil (India)", "LanguageAlt": "தமிழ் (இந்தியா)", "VoiceType": "WaveNet", "LanguageCode": "ta-IN", "VoiceName": "ta-IN-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[285] := {"Language": "Telugu (India)", "LanguageAlt": "తెలుగు (భారతదేశం)", "VoiceType": "Standard", "LanguageCode": "te-IN", "VoiceName": "te-IN-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[286] := {"Language": "Telugu (India)", "LanguageAlt": "తెలుగు (భారతదేశం)", "VoiceType": "Standard", "LanguageCode": "te-IN", "VoiceName": "te-IN-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[287] := {"Language": "Thai (Thailand)", "LanguageAlt": "ไทย (ประเทศไทย)", "VoiceType": "Standard", "LanguageCode": "th-TH", "VoiceName": "th-TH-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "22050"}
Voices[288] := {"Language": "Turkish (Turkey)", "LanguageAlt": "Türkçe (Türkiye)", "VoiceType": "Standard", "LanguageCode": "tr-TR", "VoiceName": "tr-TR-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[289] := {"Language": "Turkish (Turkey)", "LanguageAlt": "Türkçe (Türkiye)", "VoiceType": "Standard", "LanguageCode": "tr-TR", "VoiceName": "tr-TR-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[290] := {"Language": "Turkish (Turkey)", "LanguageAlt": "Türkçe (Türkiye)", "VoiceType": "Standard", "LanguageCode": "tr-TR", "VoiceName": "tr-TR-Standard-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[291] := {"Language": "Turkish (Turkey)", "LanguageAlt": "Türkçe (Türkiye)", "VoiceType": "Standard", "LanguageCode": "tr-TR", "VoiceName": "tr-TR-Standard-D", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[292] := {"Language": "Turkish (Turkey)", "LanguageAlt": "Türkçe (Türkiye)", "VoiceType": "Standard", "LanguageCode": "tr-TR", "VoiceName": "tr-TR-Standard-E", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[293] := {"Language": "Turkish (Turkey)", "LanguageAlt": "Türkçe (Türkiye)", "VoiceType": "WaveNet", "LanguageCode": "tr-TR", "VoiceName": "tr-TR-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[294] := {"Language": "Turkish (Turkey)", "LanguageAlt": "Türkçe (Türkiye)", "VoiceType": "WaveNet", "LanguageCode": "tr-TR", "VoiceName": "tr-TR-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[295] := {"Language": "Turkish (Turkey)", "LanguageAlt": "Türkçe (Türkiye)", "VoiceType": "WaveNet", "LanguageCode": "tr-TR", "VoiceName": "tr-TR-Wavenet-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[296] := {"Language": "Turkish (Turkey)", "LanguageAlt": "Türkçe (Türkiye)", "VoiceType": "WaveNet", "LanguageCode": "tr-TR", "VoiceName": "tr-TR-Wavenet-D", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[297] := {"Language": "Turkish (Turkey)", "LanguageAlt": "Türkçe (Türkiye)", "VoiceType": "WaveNet", "LanguageCode": "tr-TR", "VoiceName": "tr-TR-Wavenet-E", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[298] := {"Language": "Ukrainian (Ukraine)", "LanguageAlt": "Українська (Україна)", "VoiceType": "Standard", "LanguageCode": "uk-UA", "VoiceName": "uk-UA-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[299] := {"Language": "Ukrainian (Ukraine)", "LanguageAlt": "Українська (Україна)", "VoiceType": "WaveNet", "LanguageCode": "uk-UA", "VoiceName": "uk-UA-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[300] := {"Language": "Vietnamese (Vietnam)", "LanguageAlt": "Tiếng Việt (Việt Nam)", "VoiceType": "Standard", "LanguageCode": "vi-VN", "VoiceName": "vi-VN-Standard-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[301] := {"Language": "Vietnamese (Vietnam)", "LanguageAlt": "Tiếng Việt (Việt Nam)", "VoiceType": "Standard", "LanguageCode": "vi-VN", "VoiceName": "vi-VN-Standard-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[302] := {"Language": "Vietnamese (Vietnam)", "LanguageAlt": "Tiếng Việt (Việt Nam)", "VoiceType": "Standard", "LanguageCode": "vi-VN", "VoiceName": "vi-VN-Standard-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[303] := {"Language": "Vietnamese (Vietnam)", "LanguageAlt": "Tiếng Việt (Việt Nam)", "VoiceType": "Standard", "LanguageCode": "vi-VN", "VoiceName": "vi-VN-Standard-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[304] := {"Language": "Vietnamese (Vietnam)", "LanguageAlt": "Tiếng Việt (Việt Nam)", "VoiceType": "WaveNet", "LanguageCode": "vi-VN", "VoiceName": "vi-VN-Wavenet-A", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[305] := {"Language": "Vietnamese (Vietnam)", "LanguageAlt": "Tiếng Việt (Việt Nam)", "VoiceType": "WaveNet", "LanguageCode": "vi-VN", "VoiceName": "vi-VN-Wavenet-B", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}
Voices[306] := {"Language": "Vietnamese (Vietnam)", "LanguageAlt": "Tiếng Việt (Việt Nam)", "VoiceType": "WaveNet", "LanguageCode": "vi-VN", "VoiceName": "vi-VN-Wavenet-C", "SSMLGender": "FEMALE", "NaturalSampleRateHertz": "24000"}
Voices[307] := {"Language": "Vietnamese (Vietnam)", "LanguageAlt": "Tiếng Việt (Việt Nam)", "VoiceType": "WaveNet", "LanguageCode": "vi-VN", "VoiceName": "vi-VN-Wavenet-D", "SSMLGender": "MALE", "NaturalSampleRateHertz": "24000"}

; Example: Get list of Languages
For Index, Voice In Voices {
	Language .= Voice.Language (K = Voices.MaxIndex() ? "" : "`n")
}

Sort, Language, U

MsgBox, % Language