﻿;-------------------------------------------------------------------------------
GuiSize() {
Controls := []
Loop, 100
Controls.Insert("HThisLVWordArray" . A_Index)
AutoXYWH("xywh", Controls*)

/*
			AutoXYWH("x", "xCheckBoxAutoSaveTRANSLATE1")
			AutoXYWH("x", "xCheckBoxAutoSaveOCR1")
			AutoXYWH("x", "xTranslateInfo1")
			AutoXYWH("x", "CheckBoxAutoSaveTRANSLATE1")
			AutoXYWH("x", "CheckBoxAutoSaveOCR1")
			AutoXYWH("x", "TranslateInfo1")
*/

/*
AutoXYWH("xywh","AllowCopyAndPasteHotkey")
AutoXYWH("xywh","AllowUseDragAndDrop")
AutoXYWH("xywh","Button1")
AutoXYWH("xywh","Button2")
AutoXYWH("xywh","Button3")
AutoXYWH("xywh","Button4")
AutoXYWH("xywh","Button5")
AutoXYWH("xywh","Button7")
AutoXYWH("xywh","combo1")
AutoXYWH("xywh","DebugListview")
AutoXYWH("xywh","GroupBoxClipboardTranslate")
AutoXYWH("xywh","GroupBoxFileTranslate")
AutoXYWH("xywh","RadioAllExceptMarkedFiles")
AutoXYWH("xywh","RadioALLFiles")
AutoXYWH("xywh","RadioMarkedFiles")
*/



;AutoXYWH("wh","thisTab3")
AutoXYWH("wh", "SysTabControl321")

; Tab OCR % Translate
AutoXYWH("x","text1")
AutoXYWH("x","text1b")
AutoXYWH("x","CheckBoxColorblind")
AutoXYWH("x","TestButton#1")
AutoXYWH("w","ScannFolderName")

if fullScreen
{
AutoXYWH("wh","SourceFiles")
AutoXYWH("xh","edit1")
AutoXYWH("xh","edit2")
AutoXYWH("xh","jsonEdit")
AutoXYWH("xh","jsonOCREdit")
} else {
AutoXYWH("w","SourceFiles")
AutoXYWH("x","edit1")
AutoXYWH("x","edit2")
AutoXYWH("xh","jsonEdit")
AutoXYWH("xh","jsonOCREdit")
} 
AutoXYWH("xh","jsonEdit")
AutoXYWH("xh","HjsonEdit")


AutoXYWH("hw","LV99")


; Tab ISOLanguageCodes
AutoXYWH("h","GoogleCountryCodes")
AutoXYWH("h","CountryCodes")

; Tab json
;AutoXYWH("w.0h","json")
AutoXYWH("xh","jsonEdit")
AutoXYWH("xh","jsonOCREdit")
 

; Tab settings
;AutoXYWH("x","Button6")
;AutoXYWH("y","Button5")
AutoXYWH("wh","DebugListview")

;AutoXYWH("wh", "HthisGui")
; gui, 1: show, AutoSize Center hide
; ,% "Batch OCR & Translate " strReplace((substr(a_scriptname,-10)),".ahk")   ; find first  gui, 1: show
thisRedraw()
}

;-------------------------------------------------------------------------------


















; -------------------------------------------------------
; =================================================================================
; Function: AutoXYWH
;   Move and resize control automatically when GUI resizes.
; Parameters:
;   DimSize - Can be one or more of x/y/w/h  optional followed by a fraction
;             add a '*' to DimSize to 'MoveDraw' the controls rather then just 'Move', this is recommended for Groupboxes
;             add a 't' to DimSize to tell AutoXYWH that the controls in cList are on/in a tab3 control
;   cList   - variadic list of ControlIDs
;             ControlID can be a control HWND, associated variable name, ClassNN or displayed text.
;             The later (displayed text) is possible but not recommend since not very reliable 
; Examples:
;   AutoXYWH("xy", "Btn1", "Btn2")
;   AutoXYWH("w0.5 h 0.75", hEdit, "displayed text", "vLabel", "Button1")
;   AutoXYWH("*w0.5 h 0.75", hGroupbox1, "GrbChoices")
;   AutoXYWH("t x h0.5", "Btn1")
; ---------------------------------------------------------------------------------
; Version: 2020-5-20 / small code improvements (toralf)
;          2018-1-31 / added a line to prevent warnings (pramach)
;          2018-1-13 / added t option for controls on Tab3 (Alguimist)
;          2015-5-29 / added 'reset' option (tmplinshi)
;          2014-7-03 / mod by toralf
;          2014-1-02 / initial version tmplinshi
; requires AHK version : 1.1.13.01+    due to SprSplit()
; =================================================================================

AutoXYWH(DimSize, cList*){   ;https://www.autohotkey.com/boards/viewtopic.php?t=1079
  Static cInfo := {}

  If (DimSize = "reset")
    Return cInfo := {}

  For i, ctrl in cList {
    ctrlID := A_Gui ":" ctrl
    If !cInfo.hasKey(ctrlID) {
      ix := iy := iw := ih := 0	
      GuiControlGet i, %A_Gui%: Pos, %ctrl%
      MMD := InStr(DimSize, "*") ? "MoveDraw" : "Move"
      fx := fy := fw := fh := 0
      For i, dim in (a := StrSplit(RegExReplace(DimSize, "i)[^xywh]"))) 
        If !RegExMatch(DimSize, "i)" . dim . "\s*\K[\d.-]+", f%dim%)
          f%dim% := 1

      If (InStr(DimSize, "t")) {
        GuiControlGet hWnd, %A_Gui%: hWnd, %ctrl%
        hParentWnd := DllCall("GetParent", "Ptr", hWnd, "Ptr")
        VarSetCapacity(RECT, 16, 0)
        DllCall("GetWindowRect", "Ptr", hParentWnd, "Ptr", &RECT)
        DllCall("MapWindowPoints", "Ptr", 0, "Ptr", DllCall("GetParent", "Ptr", hParentWnd, "Ptr"), "Ptr", &RECT, "UInt", 1)
        ix := ix - NumGet(RECT, 0, "Int")
        iy := iy - NumGet(RECT, 4, "Int")
      }

      cInfo[ctrlID] := {x:ix, fx:fx, y:iy, fy:fy, w:iw, fw:fw, h:ih, fh:fh, gw:A_GuiWidth, gh:A_GuiHeight, a:a, m:MMD}
    } Else {
      dgx := dgw := A_GuiWidth - cInfo[ctrlID].gw, dgy := dgh := A_GuiHeight - cInfo[ctrlID].gh
      Options := ""
      For i, dim in cInfo[ctrlID]["a"]
        Options .= dim (dg%dim% * cInfo[ctrlID]["f" . dim] + cInfo[ctrlID][dim]) A_Space
      GuiControl, % A_Gui ":" cInfo[ctrlID].m, % ctrl, % Options
} } }
