﻿;-----------------------------------------------------------------------------------------------------------------------------------------
leaveOnlyNumbers_(leaveOnlyNumbers)
{
   Loop, Parse, leaveOnlyNumbers
   {
      if A_LoopField is integer
         NewString = %NewString%%A_LoopField%
   }
   Return %NewString%
}
;-----------------------------------------------------------------------------------------------------------------------------------------
	GUICounterFunc(init := false) { ; find gui, 3
	static GUICounterFunc  := 0
	return (init 
		?   GUICounterFunc := 0
		: ++GUICounterFunc)
	}
;-----------------------------------------------------------------------------------------------------------------------------------------
DecTo26(num) {
 Static ord_A := Ord("A")
 str := ""
 Loop
  str := Chr(ord_A + Mod(num - 1, 26)) str
 Until !num := (num - 1) // 26
 Return str
}

;-----------------------------------------------------------------------------------------------------------------------------------------
	CounterFunc() {
	if fileExist("CounterFunc.txt")
	fileRead, thisCounter,% ("CounterFunc.txt")
	else
	thisCounter := 0
	fileDelete,% ("CounterFunc.txt")
	thisCounter++
	MainArray["thisCounter"] := thisCounter
	fileAppend,% thisCounter,% ("CounterFunc.txt")
	return thisCounter
	}

;-----------------------------------------------------------------------------------------------------------------------------------------
	EM_SETCUEBANNER(HWND, Text) {
	; EM_SETCUEBANNER = 0x1501 -> msdn.microsoft.com/en-us/library/bb761639(v=vs.85).aspx
	Return DllCall("SendMessage", "Ptr", HWND, "UInt", 0x1501, "Ptr", True, "WStr", Text, "Ptr")
	}

;-----------------------------------------------------------------------------------------------------------------------------------------
;https://www.autohotkey.com/boards/viewtopic.php?f=76&t=129089 by mikeyww
; ; #Requires AutoHotkey v1.1.33.11
;#Persistent

;centerTip("abc def ghi xxxxxxxxxxx`n`n`nxxxxxxxxxxxxxxxxx")

centerTip(str) {
 Static ttip := "ahk_class tooltips_class32"
      , x    := A_ScreenWidth  / 2 - 100
      , y    := A_ScreenHeight / 2 - 13
 CoordMode ToolTip
 ToolTip % str, x, y
 WinGetPos,,, w, h, % ttip
 WinMove % ttip,, (A_ScreenWidth - w) / 2, (A_ScreenHeight - h) / 2
}

;-----------------------------------------------------------------------------------------------------------------------------------------
	TabSize() { 	; https://www.autohotkey.com/boards/viewtopic.php?f=9&t=127631#p564249 by just me
	global
	VarSetCapacity(RECT, 16, 0)
	SendMessage, 0x130A, 0, &RECT, , ahk_id %HthisTab3%
	ItemHeight := NumGet(RECT, 12, "Int") - NumGet(RECT, 4, "Int") ; unten - oben
	SendMessage, 0x132C, 0, 0, , ahk_id %HthisTab3% 	; TCM_GETROWCOUNT (0x132C)
	RowCount := ErrorLevel
	return (RowCount * ItemHeight)
	}

;-----------------------------------------------------------------------------------------------------------------------------------------
	GetUnixTimestamp(){
	 Now := A_Now
	 Now -= 1970, S
	 Return Now
	}

;-----------------------------------------------------------------------------------------------------------------------------------------
	unixToLocalTime(unixTime) {
	time := 1970
	time += unixTime, s
	utcTime := time
	diff -= A_Now, h
	time += diff, h
	localTime := time
	Return Time
	}

;-----------------------------------------------------------------------------------------------------------------------------------------

	GetGpsData(FilePath) {
	   Local
	   ; Namespace: "System.GPS."
	   Static GpsProps := ["Latitude" , "Longitude"]
	   SplitPath, FilePath, FileName , FileDir
	   If (FileDir = "")
	      FileDir := A_WorkingDir
	   Props := {}
	   If (SFI := ComObjCreate("Shell.Application").NameSpace(FileDir).ParseName(FileName)) {
	      For Each, PropName In GpsProps {
	         PropVal := SFI.ExtendedProperty("System.GPS." . PropName)
	         If IsObject(PropVal) {
	            If (ComObjType(PropVal) & 0x2000) { ; VT_ARRAY
	               Values := ""
	               For Value In PropVal
	                  Values .= Value . ", "
	               Props[PropName] := RTrim(Values, ", ")
	            }
	         }
	         Else If (PropVal <> "")
	            Props[PropName] := PropVal
	      }
	   }
	   Return Props
	}
;-----------------------------------------------------------------------------------------------------------------------------------------
	GoogleLatLong(Byref Latitude, Byref Longitude){
	xLatitude := Latitude
	xLongitude := Longitude
		Latitude :=  StrSplit(xLatitude, A_Space, ",")
		Longitude := StrSplit(xLongitude, A_Space, ",")
		LatitudeArr :=  StrSplit(Latitude.3, ".")
		Latitude3Arr := LatitudeArr.1 ";" LatitudeArr.2 ";" 
		LongitudeArr :=  StrSplit(Longitude.3, ".")
		Longitude3Arr := LongitudeArr.1 ";" LongitudeArr.2 ";" 
	
		Breitengrad :=    Round(Latitude.1) "%C2%B0"
				. Round(Latitude.2) "'" 
				. LatitudeArr.1 "." 
				. SubStr(LatitudeArr.2, 1, 1) "%22N+"  
	
		Laengengrad :=    Round(Longitude.1) "%C2%B0"
				. Round(Longitude.2) "'" 
				. LongitudeArr.1 "." 
				. SubStr(LongitudeArr.2, 1, 1) "%22E"  

	Return Breitengrad Laengengrad
	;MsgBox % GetGpsDataALLArr[SessionID]
	}

;-----------------------------------------------------------------------------------------------------------------------------------------
AhkToJSON(obj, indent := "") {
   static Doc, JS
   if !Doc {
      Doc := ComObjCreate("htmlfile")
      Doc.write("<meta http-equiv=""X-UA-Compatible"" content=""IE=9"">")
      JS := Doc.parentWindow
      ( Doc.documentMode < 9 && JS.execScript() )
   }
   if indent|1 {
      if IsObject( obj ) {
         isArray := true
         for key in obj {
            if IsObject(key)
               throw Exception("Invalid key")
            if !( key = A_Index || isArray := false )
               break
         }
         for k, v in obj
            str .= ( A_Index = 1 ? "" : "," ) . ( isArray ? "" : %A_ThisFunc%(k, true) . ":" ) . %A_ThisFunc%(v, true)

         Return isArray ? "[" str "]" : "{" str "}"
      }
      else if !(obj*1 = "" || RegExMatch(obj, "^-?0|\s"))
         Return obj
      
      for k, v in [["\", "\\"], [A_Tab, "\t"], ["""", "\"""], ["/", "\/"], ["`n", "\n"], ["`r", "\r"], [Chr(12), "\f"], [Chr(8), "\b"]]
         obj := StrReplace( obj, v[1], v[2] )

      Return """" obj """"
   }
   sObj := %A_ThisFunc%(obj, true)
   Return JS.eval("JSON.stringify(" . sObj . ",'','" . indent . "')")
}

;-----------------------------------------------------------------------------------------------------------------------------------------
;json = {"ItemN": 625, "Digital": ["", "", {"key": "value"}], "LocalDel": "Check"}
;ahkObj := JsonToAHK(json)
;MsgBox, % ahkObj["Digital", 3, "key"]

JsonToAHK(json, rec := false) {
   static doc := ComObjCreate("htmlfile")
         , __ := doc.write("<meta http-equiv=""X-UA-Compatible"" content=""IE=9"">")
         , JS := doc.parentWindow
   if !rec
      obj := %A_ThisFunc%(JS.eval("(" . json . ")"), true)
   else if !IsObject(json)
      obj := json
   else if JS.Object.prototype.toString.call(json) == "[object Array]" {
      obj := []
      Loop % json.length
         obj.Push( %A_ThisFunc%(json[A_Index - 1], true) )
   }
   else {
      obj := {}
      keys := JS.Object.keys(json)
      Loop % keys.length {
         k := keys[A_Index - 1]
         obj[k] := %A_ThisFunc%(json[k], true)
      }
   }
   Return obj
}

;-----------------------------------------------------------------------------------------------------------------------------------------
getHistory() {
global
	Gui, listview, SourceFiles
	GuiControl, 1: -Redraw, SourceFiles
	LV_delete()
	MainArray := object()
	thisA_index =
	thisFileExt := "ani|bmp|gif|ico|jpe|jpeg|jpg|pcx|png|psd|tga|tif|tiff|wmf"
	ExtArr := []
	For I, Ext In StrSplit(thisFileExt, "|")
	ExtArr[Ext] := 0

	if fileExist(a_ScriptDir "\index\index - Kopie.json")
	{
		fileRead, thisIndex,% (a_ScriptDir "\index\index - Kopie.json")
	
		if strLen(thisIndex)>10
		try	MainArray := JsonToAHK(thisIndex)
		else
		return

			loop % MainArray.SourceFileListView.maxindex()
			{
			thisA_index++
			MainArray["thisA_index"] 		:= thisA_index
			hashIDArray[(MainArray["hashID", MainArray["thisA_index"]])] := ""
		
			LV_Add("", "",strSplit(MainArray["SourceFileListView", MainArray["thisA_index"]],a_tab)*)	
		
				if MainArray["IstAbgehakt", MainArray["thisA_index"]]
				{
				LV_Modify(MainArray["thisA_index"], "+Select") 
				LV_Modify(MainArray["thisA_index"], "+check") 
				}}} else 
					MainArray := object()

				Loop % LV_GetCount("Column")
					{
					if (a_index>6)
					LV_ModifyCol(A_Index, 0)
					else
					LV_ModifyCol(A_Index, "AutoHdr")
					}

		LV_ModifyCol(1, "Center", MainArray.SourceFileListView.maxindex())
	
		GuiControl, 1: +Redraw, SourceFiles
	;	GuiControl, +Redraw, SourceFiles
	}
;-----------------------------------------------------------------------------------------------------------------------------------------
			getCombo1() { ; OUT
			global
			gui, submit, nohide
			MainArray["thisTranslateFromShort"] 	:= strsplit(combo1,"(",")").2
			MainArray["thisLastFromShort"] 		:= MainArray["thisTranslateFromShort"]
			return strsplit(combo1,"(",")").2
			}

;-----------------------------------------------------------------------------------------------------------------------------------------
			getCombo2() { ; IN
			global
			gui, submit, nohide
			MainArray["thisTranslateToShort"] 		:= strsplit(combo2,"(",")").2
			MainArray["thisLastToShort"] 		:= MainArray["thisTranslateToShort"]
			return strsplit(combo2,"(",")").2
			}

;-----------------------------------------------------------------------------------------------------------------------------------------
	getCampaignID() {
	C := LTRIM(GetUnixTimestamp(),1)
	return "c" tsP(c)
	}

tsP(ZAHL) {
StringSplit,a,ZAHL,`,
IF (a0 > 1)
    IF (StrLen(a1) > 3)
        nks := "," a2
        else
        nks := ""
StringSplit,u,a1
IF (u0 > 3)   
DUMMI:= (u0=4) ? (ZAHL := u1 "." u2 u3 u4 ) : (u0=5)?(ZAHL := u1 u2 "." u3  u4 u5) : (u0=6) ? (ZAHL := u1 u2 u3 "." u4 u5 u6) : (u0=7)? (ZAHL := u1 "." u2 u3 u4 "."  u5 u6 u7) : (u0=8) ? (ZAHL := u1 u2  "." u3 u4 u5  "." u6 u7 u8) : (u0=9) ? (ZAHL := u1 u2 u3 "." u4 u5 u6 "." u7 u8 u9) : (u0=10) ? (ZAHL := u1 "." u2 u3 u4 "." u5 u6 u7 "." u8 u9 u10) : (u0=11) ? (ZAHL := u1 u2 "." u3 u4 u5 "." u6 u7 u8 "." u9 u10 u11) : (ZAHL:= u1 u2 u3 "." u4 u5 u6 "." u7 u8 u9  "." u10 u11 u12)
return ZAHL nks
}

;-----------------------------------------------------------------------------------------------------------------------------------------
;---------------------------------------------------------------------------------------------------------------------
		lang(msgNumber, str) { ; client language test   ; lang(
		global
		if ! MainArray["ClientLangDbase", msgNumber]
		MainArray["ClientLangDbase", msgNumber]	:= GoogleTranslate(str, "en", MainArray["thisClient"])
		if MainArray["ClientLangDbase", msgNumber]
		return MainArray["ClientLangDbase", msgNumber]
		else
		return str
	}
;---------------------------------------------------------------------------------------------------------------------

		saveIndex() { ; 
			global
			gui, 1: submit, nohide
			gui, 1: default
			gui, 1: listview, SourceFiles
			guiControl, 1: Focus, SourceFiles
			MainArray["thisGoogleTranslate"] := ""
			thisOCR := ""


;			GuiControlGet, SourceFilesHwnd, hwnd, SourceFiles
			IstAbgehakt=
			IstAbgehakt_=
			SourceFileCounter=
			MainArray["ReconstructOCRContentEnter"] :=
			MainArray["thisGoogleTranslate"] := ""
			MainArray["StringhashListviewReport"] := ""
			MainArray["thishashStringArray"] := ""
			MainArray["thisTranslateJsonOCRContent"] := ""
			MainArray["LastLVSourceFilesA_EventInfo"] := ""


			try filedelete,% (a_ScriptDir "\index\index.json")

				if ! debug 
				{
					Loop % LV_GetCount()
					{
					LV_Modify(A_Index, "Col3", (MainArray["status", A_index]))
					LV_ModifyCol(A_Index, "AutoHdr")

					SendMessage, 0x102C, a_index - 1, 0xF000, SysListView322  ; 0x102C ist LVM_GETITEMSTATE. 0xF000 ist LVIS_STATEIMAGEMASK.
					IstAbgehakt := (ErrorLevel >> 12) - 1  ; Setzt IstAbgehakt auf 1 (true), wenn ZeileNummer abgehakt ist, andernfalls auf 0 (false).
					MainArray["IstAbgehakt", a_index] := IstAbgehakt ? IstAbgehakt : 0

	MainArray["SourceFileListView", A_Index] :=  a_index a_tab
										. MainArray["status", a_index] a_tab 
										. MainArray["thisTranslateFrom", a_index] a_tab 
										. MainArray["thisTranslateTo", a_index] a_tab 
										. MainArray["Name", a_index] a_tab 
										. MainArray["WordsOCR", a_index]-1 a_tab 
										. MainArray["CharsOCR", a_index]-1 a_tab 
										. MainArray["WordsTranslated", a_index] a_tab
										. MainArray["CharsTranslated", a_index] a_tab
										. MainArray["Stringhash", a_index] a_tab
										. MainArray["hashID", a_index]
;	LV_Modify(LV_Add("", "",strSplit(MainArray["SourceFileListView", A_Index],a_tab)*))

	if MainArray["WordsTranslated", a_index]
	{
	LV_Modify(a_index, "Col" 9, (MainArray["WordsTranslated", a_index]))
	LV_Modify(a_index, "Col" 10, (MainArray["CharsTranslated", a_index]))
	}
					}
				}


			;fileappend,% AhkToJSON(MainArray["SourceFileListView"]),% (a_ScriptDir "\index\index.json")
			;fileappend,% AhkToJSON(MainArray["hashID"]),% (a_ScriptDir "\index\hash.json")

			try filedelete,% (a_ScriptDir "\OCR\ClientLangDbase.json")
			fileappend,% AhkToJSON(MainArray["ClientLangDbase"]),% (a_ScriptDir "\OCR\ClientLangDbase.json")

			try filedelete,% (a_ScriptDir "\index\index.json")
			fileappend,% AhkToJSON(MainArray),% (a_ScriptDir "\index\index.json")

			try filedelete,% (a_ScriptDir "\index\hashIDArray.json")
			fileappend,% AhkToJSON(hashIDArray),% (a_ScriptDir "\index\hashIDArray.json")

			try filedelete,% (a_ScriptDir "\index\IstAbgehakt.json")
			fileappend,% AhkToJSON(MainArray["IstAbgehakt"]),% (a_ScriptDir "\index\IstAbgehakt.json")

			;try run,% (a_ScriptDir "\index\index.json")

			ControlGet, thisTabNr, Tab,, SysTabControl321 
			MainArray["thisTab"] := thisTabNr
			GuiControl, 1: ,  			Button4,% 	"lang( " MainArray.ClientLangDbase.maxindex() ", text...)"

		}

;-----------------------------------------------------------------------------------------------------------------------------------------
;https://www.autohotkey.com/boards/viewtopic.php?p=397226#p397226
;as = [{"type":"Summary","ct":3,"cser":null}]
;obj := JsonToAHK(as)
;msgbox, % obj.maxindex() ; how to view this as 1 not 0

JsonToAHKupdate(json, rec := false) {
   static doc := ComObjCreate("htmlfile")
         , __ := doc.write("<meta http-equiv=""X-UA-Compatible"" content=""IE=9"">")
         , JS := doc.parentWindow
   if !rec
      obj := %A_ThisFunc%(JS.JSON.parse(json), true)
   else if !IsObject(json)
      obj := json
   else if JS.Object.prototype.toString.call(json) == "[object Array]" {
      obj := []
      Loop % json.length
         obj.Push( %A_ThisFunc%(json[A_Index - 1], true) )
   }
   else {
      obj := {}
      keys := JS.Object.keys(json)
      Loop % keys.length {
         k := keys[A_Index - 1]
         obj[k] := %A_ThisFunc%(json[k], true)
      }
   }
   Return obj
}
;-----------------------------------------------------------------------------------------------------------------------------------------
			thisRedraw() {
			winset, redraw
			}

;-----------------------------------------------------------------------------------------------------------------------------------------

reloadHistotyFileToGui() {
	global
	gui, 1: submit, nohide
	gui, 1: default
	gui, 1: listview, SourceFiles
	guiControl, 1: focus, SourceFiles
	thisA_index=0
		GuiControl, 1: -Redraw, SourceFiles
		LV_delete()
		saveIndex()
		loop % MainArray.SourceFileListView.maxindex()
		{
		thisA_index++
		MainArray["thisA_index"] 		:= thisA_index
		hashIDArray[(MainArray["hashID", MainArray["thisA_index"]])] := ""
		LV_Add("","", strSplit(MainArray["SourceFileListView", MainArray["thisA_index"]],a_tab)*)	
	
		if MainArray["IstAbgehakt", MainArray["thisA_index"]]
		{
		LV_Modify(MainArray["thisA_index"], "+Select") 
		LV_Modify(MainArray["thisA_index"], "+check") 
		}}

	LV_ModifyCol(1, "Center", MainArray.SourceFileListView.maxindex())

	Loop % LV_GetCount("Column")
	{
	if (a_index>6)
	LV_ModifyCol(A_Index, 0)
	else
	LV_ModifyCol(A_Index, "AutoHdr")
	}
	GuiControl, 1: +Redraw, SourceFiles

/*
	if (MainArrayMAX.SourceFileListView.maxindex() < MainArray.SourceFileListView.maxindex())
	{
	MainArray := MainArrayTMP
	reloadHistotyFileToGui()
	}
*/
}

;-----------------------------------------------------------------------------------------------------------------------------------------
ocr(file, lang := "ShowAvailableLanguages")  ; find ocr(
{
thisOCR := ""
global translateCounter
   static OcrEngineStatics, OcrEngine, MaxDimension, LanguageFactory, Language, CurrentLanguage, BitmapDecoderStatics, GlobalizationPreferencesStatics
   if (OcrEngineStatics = "")
   {
      CreateClass("Windows.Globalization.Language", ILanguageFactory := "{9B0252AC-0C27-44F8-B792-9793FB66C63E}", LanguageFactory)
      CreateClass("Windows.Graphics.Imaging.BitmapDecoder", IBitmapDecoderStatics := "{438CCB26-BCEF-4E95-BAD6-23A822E58D01}", BitmapDecoderStatics)
      CreateClass("Windows.Media.Ocr.OcrEngine", IOcrEngineStatics := "{5BFFA85A-3384-3540-9940-699120D428A8}", OcrEngineStatics)
      DllCall(NumGet(NumGet(OcrEngineStatics+0)+6*A_PtrSize), "ptr", OcrEngineStatics, "uint*", MaxDimension)   ; MaxImageDimension
   }
   if (file = "ShowAvailableLanguages")
   {
      if (GlobalizationPreferencesStatics = "")
         CreateClass("Windows.System.UserProfile.GlobalizationPreferences", IGlobalizationPreferencesStatics := "{01BF4326-ED37-4E96-B0E9-C1340D1EA158}", GlobalizationPreferencesStatics)
      DllCall(NumGet(NumGet(GlobalizationPreferencesStatics+0)+9*A_PtrSize), "ptr", GlobalizationPreferencesStatics, "ptr*", LanguageList)   ; get_Languages
      DllCall(NumGet(NumGet(LanguageList+0)+7*A_PtrSize), "ptr", LanguageList, "int*", count)   ; count
      loop % count
      {
         DllCall(NumGet(NumGet(LanguageList+0)+6*A_PtrSize), "ptr", LanguageList, "int", A_Index-1, "ptr*", hString)   ; get_Item
         DllCall(NumGet(NumGet(LanguageFactory+0)+6*A_PtrSize), "ptr", LanguageFactory, "ptr", hString, "ptr*", LanguageTest)   ; CreateLanguage
         DllCall(NumGet(NumGet(OcrEngineStatics+0)+8*A_PtrSize), "ptr", OcrEngineStatics, "ptr", LanguageTest, "int*", bool)   ; IsLanguageSupported
         if (bool = 1)
         {
            DllCall(NumGet(NumGet(LanguageTest+0)+6*A_PtrSize), "ptr", LanguageTest, "ptr*", hText)
            buffer := DllCall("Combase.dll\WindowsGetStringRawBuffer", "ptr", hText, "uint*", length, "ptr")
            text .= StrGet(buffer, "UTF-16") "`n"
         }
         ObjRelease(LanguageTest)
      }
      ObjRelease(LanguageList)
      return text
   }
   if (lang != CurrentLanguage) or (lang = "FirstFromAvailableLanguages")
   {
      if (OcrEngine != "")
      {
         ObjRelease(OcrEngine)
         if (CurrentLanguage != "FirstFromAvailableLanguages")
            ObjRelease(Language)
      }
      if (lang = "FirstFromAvailableLanguages")
         DllCall(NumGet(NumGet(OcrEngineStatics+0)+10*A_PtrSize), "ptr", OcrEngineStatics, "ptr*", OcrEngine)   ; TryCreateFromUserProfileLanguages
      else
      {
         CreateHString(lang, hString)
         DllCall(NumGet(NumGet(LanguageFactory+0)+6*A_PtrSize), "ptr", LanguageFactory, "ptr", hString, "ptr*", Language)   ; CreateLanguage
         DeleteHString(hString)
         DllCall(NumGet(NumGet(OcrEngineStatics+0)+9*A_PtrSize), "ptr", OcrEngineStatics, ptr, Language, "ptr*", OcrEngine)   ; TryCreateFromLanguage
      }
      if (OcrEngine = 0)
      {
         msgbox,,, Can not use language "%lang%" for OCR, please install language pack.,1
     ; ExitApp
	return
      }
      CurrentLanguage := lang
   }
   if (SubStr(file, 2, 1) != ":")
      file := A_ScriptDir "\" file
   if !FileExist(file) or InStr(FileExist(file), "D")
   {
     ; msgbox,,, File "%file%" does not exist,1
     ; ExitApp
	return
   }
   VarSetCapacity(GUID, 16)
   DllCall("ole32\CLSIDFromString", "wstr", IID_RandomAccessStream := "{905A0FE1-BC53-11DF-8C49-001E4FC686DA}", "ptr", &GUID)
   DllCall("ShCore\CreateRandomAccessStreamOnFile", "wstr", file, "uint", Read := 0, "ptr", &GUID, "ptr*", IRandomAccessStream)
   DllCall(NumGet(NumGet(BitmapDecoderStatics+0)+14*A_PtrSize), "ptr", BitmapDecoderStatics, "ptr", IRandomAccessStream, "ptr*", BitmapDecoder)   ; CreateAsync
   WaitForAsync(BitmapDecoder)
   BitmapFrame := ComObjQuery(BitmapDecoder, IBitmapFrame := "{72A49A1C-8081-438D-91BC-94ECFC8185C6}")
   DllCall(NumGet(NumGet(BitmapFrame+0)+12*A_PtrSize), "ptr", BitmapFrame, "uint*", width)   ; get_PixelWidth
   DllCall(NumGet(NumGet(BitmapFrame+0)+13*A_PtrSize), "ptr", BitmapFrame, "uint*", height)   ; get_PixelHeight
   if (width > MaxDimension) or (height > MaxDimension)
   {
      msgbox,,, Image is to big - %width%x%height%.`nIt should be maximum - %MaxDimension% pixels,1
     ; ExitApp
	return
   }
   BitmapFrameWithSoftwareBitmap := ComObjQuery(BitmapDecoder, IBitmapFrameWithSoftwareBitmap := "{FE287C9A-420C-4963-87AD-691436E08383}")
   DllCall(NumGet(NumGet(BitmapFrameWithSoftwareBitmap+0)+6*A_PtrSize), "ptr", BitmapFrameWithSoftwareBitmap, "ptr*", SoftwareBitmap)   ; GetSoftwareBitmapAsync
   WaitForAsync(SoftwareBitmap)
   DllCall(NumGet(NumGet(OcrEngine+0)+6*A_PtrSize), "ptr", OcrEngine, ptr, SoftwareBitmap, "ptr*", OcrResult)   ; RecognizeAsync
   WaitForAsync(OcrResult)
   DllCall(NumGet(NumGet(OcrResult+0)+6*A_PtrSize), "ptr", OcrResult, "ptr*", LinesList)   ; get_Lines
   DllCall(NumGet(NumGet(LinesList+0)+7*A_PtrSize), "ptr", LinesList, "int*", count)   ; count
   global WordArray := []
   loop % count
   {
      LineIndex := A_Index
      DllCall(NumGet(NumGet(LinesList+0)+6*A_PtrSize), "ptr", LinesList, "int", A_Index-1, "ptr*", OcrLine)
      DllCall(NumGet(NumGet(OcrLine+0)+6*A_PtrSize), "ptr", OcrLine, "ptr*", WordsList)   ; get_Words
      DllCall(NumGet(NumGet(WordsList+0)+7*A_PtrSize), "ptr", WordsList, "int*", WordsCount)   ; Words count
      loop % WordsCount
      {
         DllCall(NumGet(NumGet(WordsList+0)+6*A_PtrSize), "ptr", WordsList, "int", A_Index-1, "ptr*", OcrWord)
         VarSetCapacity(RECT, 16, 0)
         DllCall(NumGet(NumGet(OcrWord+0)+6*A_PtrSize), "ptr", OcrWord, "ptr", &RECT)   ; get_BoundingRect
         DllCall(NumGet(NumGet(OcrWord+0)+7*A_PtrSize), "ptr", OcrWord, "ptr*", hText)   ; get_Text
         buffer := DllCall("Combase.dll\WindowsGetStringRawBuffer", "ptr", hText, "uint*", length, "ptr")
         x := Round(NumGet(&RECT, 0, "float"))
         y := Round(NumGet(&RECT, 4, "float"))
         w := Round(NumGet(&RECT, 8, "float"))
         h := Round(NumGet(&RECT, 12, "float"))
         text := StrGet(buffer, "UTF-16")
         thisOCR .=  text A_Space ; *************************************************************************************
         WordArray[LineIndex, A_Index] := [x, y, w, h, text]
         ObjRelease(OcrWord)
      }
      ObjRelease(WordsList)
      ObjRelease(OcrLine)
   }
   Close := ComObjQuery(IRandomAccessStream, IClosable := "{30D5A829-7FA4-4026-83BB-D75BAE4EA99E}")
   DllCall(NumGet(NumGet(Close+0)+6*A_PtrSize), "ptr", Close)   ; Close
   ObjRelease(Close)
   Close := ComObjQuery(SoftwareBitmap, IClosable := "{30D5A829-7FA4-4026-83BB-D75BAE4EA99E}")
   DllCall(NumGet(NumGet(Close+0)+6*A_PtrSize), "ptr", Close)   ; Close
   ObjRelease(Close)
   ObjRelease(IRandomAccessStream)
   ObjRelease(BitmapDecoder)
   ObjRelease(BitmapFrame)
   ObjRelease(BitmapFrameWithSoftwareBitmap)
   ObjRelease(SoftwareBitmap)
   ObjRelease(OcrResult)
   ObjRelease(LinesList)

/*
clipOld := clipboardall
clipboard := thisOCR
FileAppend,% thisOCR "`n###########################################################`n" 
		, % (ANow "-OcrErgebnis.txt"), UTF-8
 gT()

FileAppend,% clipBoard  "`n###########################################################`n" 
		, % (ANow "-OcrTranslateErgebnis.txt"), UTF-8
clipBoard := clipOld
thisOCR := ""
*/

;	translateCounter++

global	xWordArray := WordArray
		MainArray["thisTranslateJsonOCRContent"] 					:= WordArray

		MainArray["TranslateJsonOCRContent", MainArray["thisA_index"]] 	:= xWordArray
		MainArray["ReconstructOCRContent", MainArray["thisA_index"]] 	:= xWordArray



   return thisOCR

;   return WordArray
}

;-----------------------------------------------
CreateClass(string, interface, ByRef Class)
{
   CreateHString(string, hString)
   VarSetCapacity(GUID, 16)
   DllCall("ole32\CLSIDFromString", "wstr", interface, "ptr", &GUID)
   result := DllCall("Combase.dll\RoGetActivationFactory", "ptr", hString, "ptr", &GUID, "ptr*", Class, "uint")
   if (result != 0)
   {
      if (result = 0x80004002)
         msgbox No such interface supported
      else if (result = 0x80040154)
         msgbox Class not registered
      else
         msgbox,,, error: %result%,1
     ; ExitApp
	return
   }
   DeleteHString(hString)
}
;-----------------------------------------------
CreateHString(string, ByRef hString)
{
    DllCall("Combase.dll\WindowsCreateString", "wstr", string, "uint", StrLen(string), "ptr*", hString)
}
;-----------------------------------------------
DeleteHString(hString)
{
   DllCall("Combase.dll\WindowsDeleteString", "ptr", hString)
}
;-----------------------------------------------
WaitForAsync(ByRef Object)
{
   AsyncInfo := ComObjQuery(Object, IAsyncInfo := "{00000036-0000-0000-C000-000000000046}")
   loop
   {
      DllCall(NumGet(NumGet(AsyncInfo+0)+7*A_PtrSize), "ptr", AsyncInfo, "uint*", status)   ; IAsyncInfo.Status
      if (status != 0)
      {
         if (status != 1)
         {
            DllCall(NumGet(NumGet(AsyncInfo+0)+8*A_PtrSize), "ptr", AsyncInfo, "uint*", ErrorCode)   ; IAsyncInfo.ErrorCode
            msgbox,,, AsyncInfo status error: %ErrorCode%,1
     ; ExitApp
	return
         }
         ObjRelease(AsyncInfo)
         break
      }
      sleep 10
   }
   DllCall(NumGet(NumGet(Object+0)+8*A_PtrSize), "ptr", Object, "ptr*", ObjectResult)   ; GetResults
   ObjRelease(Object)
   Object := ObjectResult
}

;-----------------------------------------------------------------------------------------------------------------------------------------
;https://www.autohotkey.com/boards/viewtopic.php?p=381405#p381405 by teadrinker 11. Feb 2021 16:08
/*
text =
(
@teadrinker - I've used your script a minute ago (and now it looks that I've got blocked :shh:) so, time to ask ...
Has your updated script taken the before mentioned condition already into account? I thought about to translate the transcription of YouTube videos so people from abroad will have a chance to better follow its (German) speaker. Higher translation quality would shrink the time of necessarry corrections.
)
arr := SplitText(text, 200)
for k, v in arr
   MsgBox, % v
*/

SplitText(text, max := 5000) {
   chunks := [], text .= ".", pos := 1
   Loop {
      for k, v in ["\.", "!", "\?", ";", ",", ":", "\(", "\)", " ", "$"]
         RegExMatch(SubStr(text, pos, max), "sO).+" . v . "+", m)
      until m.Len
      chunks.Push(m[0])
      pos += m.Len
   } until pos > StrLen(text)
   last := chunks.Pop()
   chunks.Push( SubStr(last, 1, -1) )
   Return chunks
}

;-----------------------------------------------------------------------------------------------------------------------------------------
; https://www.autohotkey.com/boards/viewtopic.php?t=63835 by teadrinker
;MsgBox, % GoogleTranslate("今日の天気はとても良いです")
;MsgBox, % GoogleTranslate("Hello, World!", "en", "ru")

GoogleTranslate(str, from := "auto", to := "de") {
   static JS := CreateScriptObj(), _ := JS.( GetJScript() ) := JS.("delete ActiveXObject; delete GetObject;")


   json := _SendRequest(JS, str, to, from, proxy := "")
   oJSON := JS.("(" . json . ")")

	thisXXX :=  	GetISOCodeA(to) 
			? GetISOCodeA(to) 
			: GetISOCodeB(to) 
			. a_space to

;	fileAppend,% BeautifyJson(json),% a_tickcount a_space thisXXX ".json", UTF-8
	global thisJsonTranslateArrayObj := JsonToAHK(json)
	global thisjson := json
	MainArray["thisJsonTranslate"] := json
	MainArray["TranslatedJsonContent", thisA_index] := json  ;  ? json : MainArray["thisGoogleTranslate"]

	MainArray["TranslatedJsonContent", thisA_index] := 		MainArray["thisJsonTranslate"]



;	MainArray["thisA_index"]

;/*
	global translateCounterFunc
	global translateCounter
	Gui, 1: Tab, rawData
	Gui, 1: listview, json
;	LV_delete()
global	thisTranslateCounter := (translateCounterFunc + translateCounter)
;	if thisTranslateCounter
	LV_Add("", "Next Page: " thisTranslateCounter)
	loop, parse,% BeautifyJson(thisjson), `n
	LV_Add("", a_loopfield)	
	Loop % LV_GetCount("Column")
	LV_ModifyCol(A_Index, "AutoHdr")
;*/


   if !IsObject(oJSON[1]) {
      Loop % oJSON[0].length
         trans .= oJSON[0][A_Index - 1][0]
   }
   else {
      MainTransText := oJSON[0][0][0]
      Loop % oJSON[1].length {
         trans .= "`n+"
         obj := oJSON[1][A_Index-1][1]
         Loop % obj.length {
            txt := obj[A_Index - 1]
            trans .= (MainTransText = txt ? "" : "`n" txt)
         }
      }
   }
   if !IsObject(oJSON[1])
      MainTransText := trans := Trim(trans, ",+`n ")
   else
      trans := MainTransText . "`n+`n" . Trim(trans, ",+`n ")

   from := oJSON[2]
   trans := Trim(trans, ",+`n ")
   Return trans
}

_SendRequest(JS, str, tl, sl, proxy) {
   static http
   ComObjError(false)
   if !http
   {
      http := ComObjCreate("WinHttp.WinHttpRequest.5.1")
      ( proxy && http.SetProxy(2, proxy) )
      http.open("GET", "https://translate.google.com", true)
      http.SetRequestHeader("User-Agent", "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:47.0) Gecko/20100101 Firefox/47.0")
      http.send()
      http.WaitForResponse(-1)
   }
   http.open("POST", "https://translate.googleapis.com/translate_a/single?client=gtx"
                ; or "https://clients5.google.com/translate_a/t?client=dict-chrome-ex"
      . "&sl=" . sl . "&tl=" . tl . "&hl=" . tl
      . "&dt=at&dt=bd&dt=ex&dt=ld&dt=md&dt=qca&dt=rw&dt=rm&dt=ss&dt=t&ie=UTF-8&oe=UTF-8&otf=0&ssel=0&tsel=0&pc=1&kc=1"
      . "&tk=" . JS.("tk").(str), true)

   http.SetRequestHeader("Content-Type", "application/x-www-form-urlencoded;charset=utf-8")
   http.SetRequestHeader("User-Agent", "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:47.0) Gecko/20100101 Firefox/47.0")
   http.send("q=" . URIEncode(str))
   http.WaitForResponse(-1)
   Return http.responsetext
}

URIEncode(str, encoding := "UTF-8")  {
   VarSetCapacity(var, StrPut(str, encoding))
   StrPut(str, &var, encoding)

   while code := NumGet(Var, A_Index - 1, "UChar")  {
      bool := (code > 0x7F || code < 0x30 || code = 0x3D)
      UrlStr .= bool ? "%" . Format("{:02X}", code) : Chr(code)
   }
   Return UrlStr
}

GetJScript()
{
   script =
   (
      var TKK = ((function() {
        var a = 561666268;
        var b = 1526272306;
        return 406398 + '.' + (a + b);
      })());

      function b(a, b) {
        for (var d = 0; d < b.length - 2; d += 3) {
            var c = b.charAt(d + 2),
                c = "a" <= c ? c.charCodeAt(0) - 87 : Number(c),
                c = "+" == b.charAt(d + 1) ? a >>> c : a << c;
            a = "+" == b.charAt(d) ? a + c & 4294967295 : a ^ c
        }
        return a
      }

      function tk(a) {
          for (var e = TKK.split("."), h = Number(e[0]) || 0, g = [], d = 0, f = 0; f < a.length; f++) {
              var c = a.charCodeAt(f);
              128 > c ? g[d++] = c : (2048 > c ? g[d++] = c >> 6 | 192 : (55296 == (c & 64512) && f + 1 < a.length && 56320 == (a.charCodeAt(f + 1) & 64512) ?
              (c = 65536 + ((c & 1023) << 10) + (a.charCodeAt(++f) & 1023), g[d++] = c >> 18 | 240,
              g[d++] = c >> 12 & 63 | 128) : g[d++] = c >> 12 | 224, g[d++] = c >> 6 & 63 | 128), g[d++] = c & 63 | 128)
          }
          a = h;
          for (d = 0; d < g.length; d++) a += g[d], a = b(a, "+-a^+6");
          a = b(a, "+-3^+b+-f");
          a ^= Number(e[1]) || 0;
          0 > a && (a = (a & 2147483647) + 2147483648);
          a `%= 1E6;
          return a.toString() + "." + (a ^ h)
      }
   )
   Return script
}

CreateScriptObj() {
   static doc, JS, _JS
   if !doc {
      doc := ComObjCreate("HTMLfile")
      doc.write("<meta http-equiv='X-UA-Compatible' content='IE=9'>")
      JS := doc.parentWindow
      if (doc.documentMode < 9)
         JS.execScript()
      _JS := ObjBindMethod(JS, "eval")
   }
   Return _JS
}

;-----------------------------------------------------------------------------------------------------------------------------------------
; https://www.autohotkey.com/boards/viewtopic.php?p=353444#p353444 by teadrinker
;MsgBox, % BeautifyJson(json)

BeautifyJson(json, indent := "    ") {
   static Doc, JS
   if !Doc {
      Doc := ComObjCreate("htmlfile")
      Doc.write("<meta http-equiv=""X-UA-Compatible"" content=""IE=9"">")
      JS := Doc.parentWindow
   }
  try Return JS.eval("JSON.stringify(" . json . ",'','" . indent . "')")
}

;-----------------------------------------------------------------------------------------------------------------------------------------
Month(thisMonth) {
		Month := strSplit("Jan,Feb,Mrz,Apr,Mai,Jun,Jul,Aug,Sep,Okt,Nov,Dez",",")
		return Month[thisMonth]
}

;-----------------------------------------------------------------------------------------------------------------------------------------
ConvertToMilliseconds(HHMMSSMS)
{
   Sekunden := A_YYYY . "0101" . StrReplace(SubStr(HHMMSSMS, 1, 8), ":")
   Sekunden -= A_YYYY, S
   Return (Sekunden * 1000) + SubStr(HHMMSSMS, 10)
}

;-----------------------------------------------------------------------------------------------------------------------------------------
ConvertToHHMMSSMS(Millisekunden)
{
   Zeitstempel := A_YYYY ; nur der Deutlichkeit halber, AHK rechnet auch mit leeren Variablen
   Zeitstempel += % (Millisekunden // 1000), S
   FormatTime, HHMMSS, %Zeitstempel%, HH:mm:ss
   Return (HHMMSS . Format(",{:03}", Mod(Millisekunden, 1000)))
}

;-----------------------------------------------------------------------------------------------------------------------------------------
;stringMD5hash
; https://www.autohotkey.com/boards/viewtopic.php?t=23413
; https://www.gravatar.com/avatar/27188762690587e516b089a523fde9c0
; https://s.gravatar.com/avatar/27188762690587e516b089a523fde9c0?s=240



stringMD5hash(string, encoding := "utf-8")
{
    static BCRYPT_MD5_ALGORITHM := "MD5"
    static BCRYPT_OBJECT_LENGTH := "ObjectLength"
    static BCRYPT_HASH_LENGTH   := "HashDigestLength"

	try
	{
		; loads the specified module into the address space of the calling process
		if !(hBCRYPT := DllCall("LoadLibrary", "str", "bcrypt.dll", "ptr"))
			throw Exception("Failed to load bcrypt.dll", -1)

		; open an algorithm handle
		if (NT_STATUS := DllCall("bcrypt\BCryptOpenAlgorithmProvider", "ptr*", hAlg, "ptr", &BCRYPT_MD5_ALGORITHM, "ptr", 0, "uint", 0) != 0)
			throw Exception("BCryptOpenAlgorithmProvider: " NT_STATUS, -1)

		; calculate the size of the buffer to hold the hash object
		if (NT_STATUS := DllCall("bcrypt\BCryptGetProperty", "ptr", hAlg, "ptr", &BCRYPT_OBJECT_LENGTH, "uint*", cbHashObject, "uint", 4, "uint*", cbData, "uint", 0) != 0)
			throw Exception("BCryptGetProperty: " NT_STATUS, -1)

		; allocate the hash object
		VarSetCapacity(pbHashObject, cbHashObject, 0)
		;	throw Exception("Memory allocation failed", -1)

		; calculate the length of the hash
		if (NT_STATUS := DllCall("bcrypt\BCryptGetProperty", "ptr", hAlg, "ptr", &BCRYPT_HASH_LENGTH, "uint*", cbHash, "uint", 4, "uint*", cbData, "uint", 0) != 0)
			throw Exception("BCryptGetProperty: " NT_STATUS, -1)

		; allocate the hash buffer
		VarSetCapacity(pbHash, cbHash, 0)
		;	throw Exception("Memory allocation failed", -1)

		; create a hash
		if (NT_STATUS := DllCall("bcrypt\BCryptCreateHash", "ptr", hAlg, "ptr*", hHash, "ptr", &pbHashObject, "uint", cbHashObject, "ptr", 0, "uint", 0, "uint", 0) != 0)
			throw Exception("BCryptCreateHash: " NT_STATUS, -1)

		; hash some data
		VarSetCapacity(pbInput, (StrPut(string, encoding) - 1) * ((encoding = "utf-16" || encoding = "cp1200") ? 2 : 1), 0) && cbInput := StrPut(string, &pbInput, encoding) - 1
		if (NT_STATUS := DllCall("bcrypt\BCryptHashData", "ptr", hHash, "ptr", &pbInput, "uint", cbInput, "uint", 0) != 0)
			throw Exception("BCryptHashData: " NT_STATUS, -1)

		; close the hash
		if (NT_STATUS := DllCall("bcrypt\BCryptFinishHash", "ptr", hHash, "ptr", &pbHash, "uint", cbHash, "uint", 0) != 0)
			throw Exception("BCryptFinishHash: " NT_STATUS, -1)

		loop % cbHash
			hash .= Format("{:02x}", NumGet(pbHash, A_Index - 1, "uchar"))
	}
	catch exception
	{
		; represents errors that occur during application execution
		throw Exception
	}
	finally
	{
		; cleaning up resources
		if (pbInput)
			VarSetCapacity(pbInput, 0)
		if (hHash)
			DllCall("bcrypt\BCryptDestroyHash", "ptr", hHash)
		if (pbHash)
			VarSetCapacity(pbHash, 0)
		if (pbHashObject)
			VarSetCapacity(pbHashObject, 0)
		if (hAlg)
			DllCall("bcrypt\BCryptCloseAlgorithmProvider", "ptr", hAlg, "uint", 0)
		if (hBCRYPT)
			DllCall("FreeLibrary", "ptr", hBCRYPT)
	}

	return hash
}
;-----------------------------------------------------------------------------------------------------------------------------------------
printStringhashListviewReport() {
	global 

	MainArray["StringhashListviewReport"] := getStringhashListviewReport()
	maxFiles =
	thisReport := MainArray["StringhashListviewReport"]
	loop, parse,%  thisReport, `n, `r
	maxFiles++

	if (maxFiles>2)
	{
	saveTimestamp := A_DDDD a_space A_DD "." Month(A_MM) "." a_YYYY a_space A_Hour a_space A_Min a_space A_Sec
	fileAppend,% "`t`t" saveTimestamp "`n" thisReport, thisReport.txt
;	try run thisReport.txt
	}

	if MainArray["StringhashListviewReport"]
	{
; tooltip %	xsplit := strSplit((MainArray["StringhashListviewReport"]), "`n")
	split := strSplit((	MainArray["StringhashListviewReport"]), a_tab)
;	if !((split.maxindex()-1)>2) ; || (split.maxindex()=1)
	if (maxFiles>2) ; || (split.maxindex()=1)
	{
	Gui, 1: Listview, Stringhash
;	thisReport := MainArray["StringhashListviewReport"]
	LV_Add("", , , saveTimestamp)
	loop, parse,%  thisReport, `n
	LV_Add("",  strSplit(a_loopfield, a_tab)*)
	Loop % LV_GetCount("Column")
	LV_ModifyCol(A_Index, "AutoHdr")
	Gui, 1: listview, SourceFiles
	GuiControl , Choose , systabcontrol321 , 3
		WinGetPos, X, Y, W, H, ahk_id %HthisGui%
;		x := (x + (w/2)) ; fail
		x := (x + 400)
		y := (y + 50)
	MsgBox,4096,% "|x" x  " y" y,% "Stringhash Report`n`n" 
				. lang(7, "this text has already been scanned once:") 
				. "`n`n" 
		;		. split.maxindex()-1 a_space
				.  lang(8, " Files were scanned with exactly the same content") "`n`n" 
				. MainArray["StringhashListviewReport"]
;	MsgBox,4096,%  a_linenumber,% "Stringhash Report`n`nthis text has already been scanned once:`n`n" split.maxindex()-1 " Files were scanned with exactly the same content`n`n" MainArray["StringhashListviewReport"] 
;	try filedelete, StringhashListviewReport.txt
	fileappend,% MainArray["StringhashListviewReport"],% saveTimestamp " StringhashListviewReport.txt"
	try run % saveTimestamp " StringhashListviewReport.txt"
	}}
if MainArray["StringhashListviewReport"] ; && !((split.maxindex()-1)>=4)
{
	if MainArray["StringhashIndex", A_index] && debug
	{
	Gui, 1: Listview, Stringhash
	LV_Add("", "", MainArray["Stringhash", A_index])
	Loop % LV_GetCount("Column")
	LV_ModifyCol(A_Index, "AutoHdr")
	Gui, 1: listview, SourceFiles
	}
}





	; MainArray["Stringhash"] := ""
	MainArray["StringhashListviewReport"] := ""
	split := ""
	MainArray["thishashStringArray"] := ""
	res := ""
}
;-----------------------------------------------------------------------------------------------------------------------------------------

StringhashToListview() {
global
	Gui, 1: Listview, Stringhash
	thisReport := MainArray["StringhashListviewReport"]
	loop %  thisReport, `n
	LV_Add("",  strSplit(a_loopfield, a_tab)*)
	Loop % LV_GetCount("Column")
	LV_ModifyCol(A_Index, "AutoHdr")
	Gui, 1: listview, SourceFiles
}

;-----------------------------------------------------------------------------------------------------------------------------------------


getStringhashListviewReport() {
global MainArray
	split := ""
	res := ""
	MainArray["StringhashListviewReport"] := ""
	loop % MainArray["hashID"].maxindex()
	{
		If  ((MainArray["Stringhash", A_index]) = (MainArray["thishashStringArray"]))
		{
		aindex++
		MainArray["StringhashListviewReport"] .=   	aindex a_tab
										. (MainArray["StringhashIndex", A_index] := A_index)
										. a_tab MainArray["Stringhash", A_index] a_tab
										. MainArray["hashID", A_index] a_tab
										. MainArray["hashTOTargetFile", MainArray["hashID", A_index]] "`n"

/*
		MainArray["StringhashListviewReport"] .=   "StringhashIndex:`n" MainArray["StringhashIndex", A_index] := A_index
										. "Stringhash:`n" MainArray["Stringhash", A_index] 
										. "`nFileHash:`n" MainArray["hashID", A_index] "`n"
										. MainArray["status", A_index] "`n" 
										. MainArray["thisTranslateFrom", A_index] "`n" 
										. MainArray["thisTranslateTo", A_index] "`n" 
										. MainArray["Name", A_index] "`n" 
										. MainArray["folder", A_index] "`n" 
										. MainArray["fileName", A_index] "`n" 
										. MainArray["ext", A_index] "`n" 
										. MainArray["drive", A_index] "`n"
										. MainArray["hashID", A_index] "`n"
										. MainArray["hashTOfile", MainArray["hashID", A_index]] "`n"
										. MainArray["hashTOTargetFolder", MainArray["hashID", A_index]]  "`n"
										. MainArray["hashTOTargetFile", MainArray["hashID", A_index]]  "`n"
										. MainArray["IDhashTOTargetFileTranslate", MainArray["hashID", A_index]]  "`n"
										. MainArray["StringHashTOTargetFile", MainArray["hashID", A_index]] 

									. "`nDocumentTimeStamp:`n" MainArray["DocumentTimeStamp",  A_index]
									. "`nDocumentTitel:`nyour" MainArray["DocumentTitel", A_index]
									. "`n-----------------`n"
*/

								LV_Modify(A_index, "Col" 3, "OCR")
								MainArray["status", a_index] := "OCR"




		}
	}
				 				if MainArray["StringhashListviewReport"].maxindex()
								msgbox,4096,% a_linenumber, % MainArray["StringhashListviewReport"].maxindex() "`n" MainArray["StringhashListviewReport", 1]

								MainArray["thishashStringArray"] := ""
								return MainArray["StringhashListviewReport"]

;                                                                                   test
}
;-----------------------------------------------------------------------------------------------------------------------------------------
OCRContenttReadingErrorCorrection() {
global MainArray
return
;msgbox % MainArray.SourceFileListView.maxindex()
	loop % MainArray.SourceFileListView.maxindex()
	{
	Loop % LV_GetCount("Column")
	{
	xA_Index++

	thisCol := 3
	thisStatusCell1 .= LV_GetText(thisStatusCell, xA_Index, thisCol)
	thisStatusCellfull .= thisStatusCell "`n"

	thisCol := 4
	thisStatusCell2 .= LV_GetText(thisStatusCell, xA_Index, thisCol)
	thisStatusCellfull .= thisStatusCell  "`n"

	thisCol := 5
	thisStatusCell3 .= LV_GetText(thisStatusCell, xA_Index, thisCol)
	thisStatusCellfull .= thisStatusCell  "`n"

	thisCol := 6
	thisStatusCell4 .= LV_GetText(thisStatusCell, xA_Index, thisCol)
	thisStatusCellfull .= thisStatusCell  "`n"

	thisCol := 7
	thisStatusCell5 .= LV_GetText(thisStatusCell, xA_Index, thisCol)
	thisStatusCellfull .= thisStatusCell  "`n"
	}
;	LV_Modify((MainArray["thisA_index"]), "Col" 3, "thisStatusCell")
;	if ! MainArray["status", (MainArray["thisA_index"])]
;	MainArray["status", (MainArray["thisA_index"])] := "thisStatusCell"
	}

 msgbox,% "debug test hash • default `n" isObject(MainArray) "`n" thisStatusCellfull
; debug test hash ; default 
}
;-----------------------------------------------------------------------------------------------------------------------------------------
;MsgBox, This MessageBox will appear in the centre of screen, as usual
;MsgBox,, |x50 y70, This MessageBox will appear in coords x = 50 y = 70 without a title.
;MsgBox,, Hello!|x500 y0, This MessageBox will appear in coords x = 500 y = 0 with the title "Hello!"
;Return
; https://www.autohotkey.com/boards/viewtopic.php?p=172566#p172566

CBTProc(nCode, wp, lp)  {
   static WH_CBT := 5, HCBT_CREATEWND := 3
        , dummy := OnExit( Func("CBTProc").Bind("OnExit") )
        , hHook := DllCall("SetWindowsHookEx", Int, WH_CBT
                                             , Ptr, RegisterCallback("CBTProc", "Fast")
                                             , Ptr, 0
                                             , UInt, DllCall("GetCurrentThreadId") , Ptr)
   if (nCode = "OnExit")  {
      DllCall("UnhookWindowsHookEx", Ptr, hHook)
      return
   }
   if (nCode = HCBT_CREATEWND)  {
      VarSetCapacity(WinClass, 256)
      DllCall("GetClassName", Ptr, hwnd := wp, Str, WinClass, Int, 256)
      if (WinClass = "#32770")  {
         pCREATESTRUCT := NumGet(lp+0)
         sTitle := StrGet( pTitle := NumGet(pCREATESTRUCT + A_PtrSize * 5 + 4 * 4), "UTF-16" )
         RegExMatch(sTitle, "^(.*)\|(?:x(\d+)\s?)?(?:y(\d+))?$", match)
         ( !(match2 = "" && match3 = "") && StrPut(match1, pTitle, "UTF-16") )
         ( match2 != "" && NumPut(match2, pCREATESTRUCT + A_PtrSize * 4 + 4 * 3, "Int") )
         ( match3 != "" && NumPut(match3, pCREATESTRUCT + A_PtrSize * 4 + 4 * 2, "Int") )
      }
   }
   Return DllCall("CallNextHookEx", Ptr, 0, Int, nCode, Ptr, wp, Ptr, lp)
}
;-----------------------------------------------------------------------------------------------------------------------------------------
	CheckBoxColorblindFunc(Farbenblind := 1) {
			global
		;	global translateCounter
		;	global translateCounterFunc
		;	loopTranslateCounter := (translateCounterFunc + translateCounter)
			if Farbenblind
			{
OnMessage(0x0200, "WM_MOUSEMOVE")
;OnMessage(0x0200, "")
tooltip

			GuiControl, 1: 	+cBlack, 		RadioALLFiles
			GuiControl, 1: 	+cBlack, 		RadioMarkedFiles
			GuiControl, 1: 	+cBlack, 		RadioAllExceptMarkedFiles
			GuiControl, 1: ,  			CheckBoxColorblind, 	Green
			GuiControl, 1: 	+cBlack, 		AllowCopyAndPasteHotkey
			GuiControl, 1: 	+cBlack, 		AllowUseDragAndDrop
			GuiControl, 1: 	+cBlack, 		text1
			GuiControl, 1: 	+cBlack, 		text1b
			loop 255 ; % loopTranslateCounter
			{
			GuiControl, 1: 	+cBlack, 		xCheckBoxAutoSaveTRANSLATE%a_index%
			GuiControl, 1: 	+cBlack, 		xCheckBoxAutoSaveOCR%a_index%
			GuiControl, 1: 	+cBlack, 		xTranslateInfo%a_index%
			GuiControl, 1: 	+cBlack, 		CheckBoxAutoSaveTRANSLATE%a_index%
			GuiControl, 1: 	+cBlack, 		CheckBoxAutoSaveOCR%a_index%
			GuiControl, 1: 	+cBlack, 		TranslateInfo%a_index%
			}
			GuiControl, 1: 	+cBlack, 		GroupBoxFileTranslate
			GuiControl, 1: 	+cBlack, 		GroupBoxClipboardTranslate
		;	return "Black"
			} 	

			if !Farbenblind
			{
;OnMessage(0x0200, "WM_MOUSEMOVE")
OnMessage(0x0200, "")
tooltip
			GuiControl, 1: 	+cGreen, 		RadioALLFiles
			GuiControl, 1: 	+cGreen, 		RadioMarkedFiles
			GuiControl, 1: 	+cGreen, 		RadioAllExceptMarkedFiles
			GuiControl, 1: ,  			CheckBoxColorblind, 	color blind
			GuiControl, 1: 	+cGreen, 		AllowCopyAndPasteHotkey
			GuiControl, 1: 	+cGreen, 		AllowUseDragAndDrop
			GuiControl, 1: 	+cMaroon, 		text1
			GuiControl, 1: 	+cMaroon, 		text1b
			loop 255 ; % loopTranslateCounter
			{
			GuiControl, 1: 	+cGreen, 		xCheckBoxAutoSaveTRANSLATE%a_index%
			GuiControl, 1: 	+cGreen, 		xCheckBoxAutoSaveOCR%a_index%
			GuiControl, 1: 	+cGreen, 		xTranslateInfo%a_index%
			GuiControl, 1: 	+cGreen, 		CheckBoxAutoSaveTRANSLATE%a_index%
			GuiControl, 1: 	+cGreen, 		CheckBoxAutoSaveOCR%a_index%
			GuiControl, 1: 	+cGreen, 		TranslateInfo%a_index%
			}
			GuiControl, 1: 	+cGreen, 		GroupBoxFileTranslate
			GuiControl, 1: 	+cGreen, 		GroupBoxClipboardTranslate
		;	return "Green"
			}
;			gosub watchChanges
;	Tooltip % Farbenblind
;	msgbox,4096,% a_linenumber,% Farbenblind "`n" a_GuiControl,1
	}


;-----------------------------------------------------------------------------------------------------------------------------------------
;https://www.autohotkey.com/boards/viewtopic.php?f=6&t=63835&start=40#p316531

; MsgBox, % GetAudioFromGoogle("Hello World", "en", A_Desktop . "\test.mp3")

/*
f1 := a_desktop . "\test.mp3"
lng := "pt"
text := GoogleTranslate("Good evening , how are you ?",, lng)
aa := GetAudioFromGoogle(text, lng, F1)
return
*/

GetAudioFromGoogle(text, lng, mp3filePath)  {
   url := CreateUrl(text, lng)
   data := SendRequest(url)
   if SubStr(data, 1, 6) = "Error!"
      Return data
   
   Return SaveDataToFile(data, mp3filePath)
}

CreateUrl(text, lng)  {
   JS := _CreateScriptObj(), JS.( _GetJScript() )
   url := "https://translate.google.ru/translate_tts?ie=UTF-8&tl="
         . lng . "&total=1&idx=0&client=t&prev=input&textlen="
         . StrLen(text) . "&tk=" . JS.("tk").(text) . "&q=" . _URIEncode(text)
   Return url
}

SendRequest(url) {
   whr := ComObjCreate("Msxml2.XMLHTTP.6.0")
   whr.Open("GET", url, false)
   whr.Send()
   
   if (whr.Status != 200)
      Return "Error! Status: " . whr.Status . "`n`n" . whr.responseBody
   Return whr.responseBody
}

SaveDataToFile(data, filePath) {
   stream := ComObjCreate("ADODB.Stream")
   stream.type := 1  ; Binary data
   stream.Open
   stream.Write(data)
   stream.SaveToFile(filePath, 2)
   stream.Close
   Return true
}

_GetJScript()
{
   script =
   (
      var TKK = ((function() {
        var a = 561666268;
        var b = 1526272306;
        return 406398 + '.' + (a + b);
      })());

      function b(a, b) {
        for (var d = 0; d < b.length - 2; d += 3) {
            var c = b.charAt(d + 2),
                c = "a" <= c ? c.charCodeAt(0) - 87 : Number(c),
                c = "+" == b.charAt(d + 1) ? a >>> c : a << c;
            a = "+" == b.charAt(d) ? a + c & 4294967295 : a ^ c
        }
        return a
      }

      function tk(a) {
          for (var e = TKK.split("."), h = Number(e[0]) || 0, g = [], d = 0, f = 0; f < a.length; f++) {
              var c = a.charCodeAt(f);
              128 > c ? g[d++] = c : (2048 > c ? g[d++] = c >> 6 | 192 : (55296 == (c & 64512) && f + 1 < a.length && 56320 == (a.charCodeAt(f + 1) & 64512) ?
              (c = 65536 + ((c & 1023) << 10) + (a.charCodeAt(++f) & 1023), g[d++] = c >> 18 | 240,
              g[d++] = c >> 12 & 63 | 128) : g[d++] = c >> 12 | 224, g[d++] = c >> 6 & 63 | 128), g[d++] = c & 63 | 128)
          }
          a = h;
          for (d = 0; d < g.length; d++) a += g[d], a = b(a, "+-a^+6");
          a = b(a, "+-3^+b+-f");
          a ^= Number(e[1]) || 0;
          0 > a && (a = (a & 2147483647) + 2147483648);
          a `%= 1E6;
          return a.toString() + "." + (a ^ h)
      }
   )
   Return script
}

_URIEncode(str, encoding := "UTF-8")  {
   VarSetCapacity(var, StrPut(str, encoding))
   StrPut(str, &var, encoding)

   While code := NumGet(Var, A_Index - 1, "UChar")  {
      bool := (code > 0x7F || code < 0x30 || code = 0x3D)
      UrlStr .= bool ? "%" . Format("{:02X}", code) : Chr(code)
   }
   Return UrlStr
}

_CreateScriptObj() {
   static doc
   doc := ComObjCreate("htmlfile")
   doc.write("<meta http-equiv='X-UA-Compatible' content='IE=9'>")
   Return ObjBindMethod(doc.parentWindow, "eval")
}
; -------------------------------------------------------
	getFileSize(thisX) {
		loop,% thisX
		ALoopFileSize := A_LoopFileSize, ALoopFileSizeKB := A_LoopFileSizeKB, ALoopFileSizeMB := A_LoopFileSizeMB
		Return ALoopFileSizeMB ? ALoopFileSizeMB " MB" : ALoopFileSizeKB ? ALoopFileSizeKB " KB" : ALoopFileSize ? ALoopFileSize " Byte" : "Empty"
	}

;-----------------------------------------------------------------------------------------------------------------------------------------
;this := "+49 727868673482 abc"
;msgbox % LeaveOnlyNumbers("+49 727868673482 abc")

LeaveOnlyNumbers(number)
{
   stringreplace, number, number, (+49) 0, 0, all
   stringreplace, number, number, (+49)0, 0, all
   stringreplace, number, number, +49 (0, 0, all
   stringreplace, number, number, +49(0, 0, all
   stringreplace, number, number, +49 ( 0, 0, all
   stringreplace, number, number, + 49 (0, 0, all
   stringreplace, number, number, +49, 0, all
   stringreplace, number, number, + 49, 0, all
   stringreplace, number, number, `r`n, , all
   stringreplace, number, number, `r, , all
   stringreplace, number, number, `n, , all
   String = %number%
   Loop, Parse, String
      if A_LoopField is integer
         NewString .= A_LoopField
   Return NewString
}

;-----------------------------------------------------------------------------------------------------------------------------------------

getMailadress(haystack) {
; needle:="[\_]*([a-z0-9]+(\.|\_*)?)+@([a-z][a-z0-9\-]+(\.|\-*\.))+[a-z]{2,6}"
needle:="\w[-._\w]*\w.?@\w[-._\w]*\w\.\w{2,4}"
loop {
  foundpos:=regexmatch(haystack,needle,match),nextpos:=foundpos+strlen(match)
  stringtrimleft,haystack,haystack,%nextpos%
  if (match!="")
    result .= match . "`n"
  else
    break
}
if (result!="")
return result
}
;-----------------------------------------------------------------------------------------------------------------------------------------
; returns True if valid
isValidEmail(emailstr){
    static regex := "is)^(?:""(?:\\\\.|[^""])*""|[^@]+)@(?=[^()]*(?:\([^)]*\)"
    . "[^()]*)*\z)(?![^ ]* (?=[^)]+(?:\(|\z)))(?:(?:[a-z\d() ]+(?:[a-z\d() -]*[()a-"
    . "z\d])?\.)+[a-z\d]{2,6}|\[(?:(?:1?\d\d?|2[0-4]\d|25[0-4])\.){3}(?:1?\d\d?|"
    . "2[0-4]\d|25[0-4])\]) *\z"
    return RegExMatch(emailstr, regex) != 0
}
;-----------------------------------------------------------------------------------------------------------------------------------------
getHyperLink(xHyperlink){
; 	URLRegex = i)href?://[\w.-]+/?[\w!#`%&+./:=?@-]* ; default
;	URLRegex = i)https?://[\w.-]+/?[\w!#`%&+./:=?@-]* ; OK only http ; default
;	URLRegex := "(https?://|www\.) [^\s"">]+" ; fail ; KHA
	URLRegex := "(https?://|www\.)[\w.-]+/?[\w!#`%&+./:=?@-]*" ; OK ; andymbody
Loop, parse, xHyperLink, `n, `r 
While pos := RegexMatch(xHyperlink, URLRegex, HyperLinkErgebnis, A_Index = 1 ? 1 : pos + 1 )
res .= HyperLinkErgebnis "`n"
Return res
}

;----------------------------------------------------------------------------------------------------------Url Parser -------------------------------

getHyperLink_(xHyperLink) { ; just Me
Pos := 1
URLRegex = i)(https?://)?[\w.-]+/?[\w!#`%&+./:=?@-]*    	; https://www.autohotkey.com/boards/viewtopic.php?f=9&t=130037&p=572724#p572705 ;by just Me
While (pos := RegexMatch(xHyperlink, URLRegex, HyperLinkErgebnis, Pos + StrLen(HyperLinkErgebnis)))
   HyperLinkFundus .= HyperLinkErgebnis "`n"
Return HyperLinkFundus 	; returns http & www urls
}

;-----------------------------------------------------------------------------------------------------------------------------------------
;	URLRegex = i)https?://[\w.-]+/?[\w!#`%&+./:=?@-]* ; default
;	URLRegex := "(https?://|www\.) [^\s"">]+" ; fail ; KHA
;	URLRegex := "(https?://|www\.)[^\s"">]+" ; KHA
;	URLRegex := "(https?://|www\.) [\w.-]+/? [\w!#'%&+./:=?@-]*" ; fail ; andymbody
;-----------------------------------------------------------------------------------------------------------------------------------------
StringWidth(String, Font:="", FontSize:=10) 
{
global
	Gui StringWidth:Font, s%FontSize%, %Font%
	Gui StringWidth:Add, Text, R1, %String%
	GuiControlGet T, StringWidth:Pos, Static1
	Gui StringWidth:Destroy
	return TW
}
;-----------------------------------------------------------------------------------------------------------------------------------------
;-----------------------------------------------------------------------------------------------------------------------------------------
;-----------------------------------------------------------------------------------------------------------------------------------------
;-----------------------------------------------------------------------------------------------------------------------------------------
;-----------------------------------------------------------------------------------------------------------------------------------------
;-----------------------------------------------------------------------------------------------------------------------------------------
;-----------------------------------------------------------------------------------------------------------------------------------------
;-----------------------------------------------------------------------------------------------------------------------------------------
;-----------------------------------------------------------------------------------------------------------------------------------------
;-----------------------------------------------------------------------------------------------------------------------------------------
